<?php

namespace App\Http\Controllers;

use App\Models\AppFeedback;
use Illuminate\Http\Request;

class AppFeebackController extends Controller
{
    function index()
    {
        $feedbacks = AppFeedback::latest()->get();
        return view('feedback.FeedBackIndex', compact('feedbacks'));
    }

    function delete(Request $request, AppFeedback $feedback)
    {
        $feedback->delete();
        return redirect(route('feedback.index'))->with('message', 'feedback deleted successfully');
    }
}
