<?php

namespace App\Http\Controllers;

use App\Models\ContactUs;
use Illuminate\Http\Request;

class ContactUsController extends Controller
{
    function index()
    {
        $contactus = ContactUs::with('company')->latest()->get();
        return view('contactus.ContactIndex', compact('contactus'));
    }

    function delete(ContactUs $contactus)
    {
        $contactus->delete();
        return redirect(route('contactus.index'))->with('message', 'record deleted successfully');
    }
}
