<?php

namespace App\Http\Controllers;

use Illuminate\Support\Str;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public static function media($request, $folder = "")
    {
        $extension = $request->file('media',)->getClientOriginalExtension();
        return $request->file('media',)->storeAs(
            $folder,
            Str::random(20) . '.' . $extension,
            env('DISK')
        );
    }
    public static function media1($request, $folder = "")
    {
        $extension = $request->file('image',)->getClientOriginalExtension();
        return $request->file('image',)->storeAs(
            $folder,
            Str::random(20) . '.' . $extension,
            env('DISK')
        );
    }
    public static function multiMedia($media, $folder = "")
    {
        $extension = $media->getClientOriginalExtension();
        return $media->storeAs(
            $folder,
            Str::random(20) . '.' . $extension,
            env('DISK')
        );
    }
}
