<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Reaction extends Model
{
    use HasFactory, SoftDeletes;
    // protected $table = 'ad_reacts';
    protected $fillable = [
        'user_id',
        'post_id',
        'type',
        "recordable_type",
        "recordable_id"
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
