<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class UserCard extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'user_id',
        'card_id',
        'card_number',
        'card_type',
        'card_holder_name',
        'card_expiry_date',
        'card_cvv',
        'last_4',
        'brand',
        'is_default',
        'status',
        'response'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
