<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class CreateAdminUserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $user = User::create([
            'first_name' => 'super admin',
            'user_name' => 'super admin',
            'email' => 'bizzfeed_admn@mailinator.com',
            'company_id' => 0,
            'department_id' => 0,
            'user_role' => 'admin',
            'user_type' => 'admin',
            'password' => bcrypt('Abcd@1234')
        ]);

        $role = Role::create(['name' => 'super Admin']);

        $permissions = Permission::pluck('id', 'id')->all();

        $role->syncPermissions($permissions);

        $user->assignRole([$role->id]);
    }
}
