@extends('layouts.master')
@section('contain')
    {{--  --}}
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Reported Comments</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                </ol>
                {{-- <a href="{{ Route('address.swform') }}"><button type="button"
                    class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                    New</button></a> --}}
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            {{-- <h6 class="card-subtitle">Data table example</h6> --}}
            <div class="table-responsive">
                <table id="myTable" class="table table-striped border dataTable no-footer">
                    <thead>
                        <tr style="background-color: gray " class="text-white">
                            <th>S.No</th>
                            <th>Name</th>
                            <th>Reported User</th>
                            <th>Reason</th>
                            <th>Comment</th>
                            <th>Date</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    @php
                        $num = 1;
                    @endphp
                    <tbody>
                        @foreach ($report_comments as $report_comment)
                            <td>{{ $num++ }}</td>
                            <td>{{ $report_comment->user->full_name??"" }}</td>
                            <td>{{ $report_comment->reportable->user->full_name??"" }}</td>
                            <td>{{ $report_comment->reason }}</td>
                            <td>{{ $report_comment->reportable->comment ??""}}</td>
                            <td>{{ $report_comment->created_at->format('Y-m-d') }}</td>
                            {{-- <td>{{ $report_comment->location }}</td> --}}
                            {{-- <td>
                                @for ($i = 0; $i < $report_comment->reportable->atmosphere; $i++)
                                    <i class="fa fa-star"></i>
                                @endfor
                            </td>
                            <td>
                                @for ($i = 0; $i < $report_comment->reportable->food_quality; $i++)
                                    <i class="fa fa-star"></i>
                                @endfor
                            </td>
                            <td>
                                @for ($i = 0; $i < $report_comment->reportable->service; $i++)
                                    <i class="fa fa-star"></i>
                                @endfor
                            </td> --}}
                            {{-- <td>
                                @if ($report_comment->status == 0)
                                <p class="badge rounded-pill bg-warning ms-auto mb-2 mb-md-0">Pending</p>
                                @elseif ($report_comment->status == 1)
                                <p class="badge rounded-pill bg-success ms-auto mb-2 mb-md-0">Aeactive</p>
                                @else
                                <p class="badge rounded-pill bg-danger ms-auto mb-2 mb-md-0">Deactive</p>
                                @endif
                            </td> --}}
                            <td>
                                <div class="btn-group">
                                    <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown"
                                        aria-haspopup="true" aria-expanded="false">
                                        Select
                                    </button>
                                    <div class="dropdown-menu">
                                        {{-- <a style="color: deepskyblue;" class="dropdown-item"
                                            href="{{ Route('post.detail', $report_comment->post->id) }}">View</a>
                                        @if ($report_comment->status == 0)
                                            <a style="color: limegreen;" class="dropdown-item"
                                                href="{{ Route('post.status', ['id' => $report_comment->id, 'status' => 1]) }}">Active</a>
                                            <a style="color: coral;" class="dropdown-item"
                                                href="{{ Route('post.status', ['id' => $report_comment->id, 'status' => 2]) }}">Deactive</a>
                                        @elseif ($report_comment->status == 1)
                                            <a style="color: coral;" class="dropdown-item"
                                                href="{{ Route('post.status', ['id' => $report_comment->id, 'status' => 2]) }}">Deactive</a>
                                        @else
                                            <a style="color: limegreen;" class="dropdown-item"
                                                href="{{ Route('post.status', ['id' => $report_comment->id, 'status' => 1]) }}">Active</a>
                                        @endif --}}
                                        @if ($report_comment->reportable != null)

                                        <a style="color:rgb(216 24 24)" class="dropdown-item" href="#" onclick="swal2({{ $report_comment->id??''}})">Delete & Block</a>
                                        <form id="delete-form-{{ $report_comment->id??'' }}" action="{{ Route('deleteAndBlock.comment', ['reportID' => $report_comment->id, 'commentID' => $report_comment->reportable->id ,'user_id' => $report_comment->reportable->user_id]) }}" method="POST" style="display: none;">
                                            @csrf
                                            @method('DELETE')
                                        </form>
                                        <a style="color:#e17c0c" class="dropdown-item" href="#" onclick="swalll({{ $report_comment->id}})"> just Delete</a>
                                        <form id="delete-form-{{ $report_comment->id }}" action="{{ route('delete.commnet', ['reportID' => $report_comment->id, 'commentID' => $report_comment->reportable->id]) }}" method="POST" class="d-none">
                                            @csrf
                                            @method('DELETE')
                                        </form>
                                        @endif
                                    </div>
                                    {{-- <a href="{{Route('user.edit',$report_comment->id)}}"><i title="Edit" class="far fa-edit" style="font-size:20px"></i></a> --}}
                                    {{-- <a href="{{Route('post.detail',$report_comment->post->id)}}"> <i title="post info" class="far fa-eye" style="font-size:20px"></i></a> --}}
                                    {{-- <a title="delete" class="btn" onclick="swalll({{ $report_comment->id }})"><i class="fa fa-trash" style="font-size:20px"></i></a>
                                        <form id="delete-form-{{ $report_comment->id }}" action="{{ route('user.delete', $report_comment->id) }}" method="POST" class="d-none">
                                        @csrf
                                        @method('DELETE')
                                        </form> --}}
                            </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <script>
       function swalll(id) {
        event.preventDefault();
        swal({
            title: "Are you sure?",
            text: "Once deleted, you will not be able to recover this imaginary file!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        })
        .then((willDelete) => {
            if (willDelete) {
                var formId = "delete-form-" + id;
                document.getElementById(formId).submit();
            }
        });
    }
        function swal2(id) {
        event.preventDefault();
        swal({
            title: "Are you sure delete comment & block user?",
            // text: " want to delete post & block user?",
            text: "Once deleted, you will not be able to recover this imaginary file!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        })
        .then((willDelete) => {
            if (willDelete) {
                var formId = "delete-form-" + id;
                document.getElementById(formId).submit();
            }
        });
    }
    </script>
@endsection
