@extends('layouts.master')
@section('contain')
    {{--  --}}
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Blocked Users</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    {{-- <li class="breadcrumb-item active">User Table</li> --}}
                </ol>
                {{-- <a href="{{ Route('address.swform') }}"><button type="button"
                    class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                    New</button></a> --}}
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            {{-- <h6 class="card-subtitle">Data table example</h6> --}}
            <div class="table-responsive">
                <table id="myTable" class="table table-striped border dataTable no-footer">
                    <thead>
                        <tr style="background-color: gray " class="text-white">
                            <th>S.No</th>
                            <th>Name</th>
                            <th>Blocked User</th>
                            <th>Date</th>
                            {{-- <th>provider</th> --}}
                            {{-- <th>Phone</th> --}}
                            {{-- <th>Gender</th>
                            <th>DOB</th>
                            <th>User Type</th> --}}
                            {{-- <th>Action</th> --}}
                        </tr>
                    </thead>
                    @php
                        $num = 1;
                    @endphp
                    <tbody>
                        @foreach ($block_users as $block_user)
                            <td>{{ $num++ }}</td>
                            <td>
                                <a
                                    href="{{ Route('user.info', $block_user->user->id) }}">{{ $block_user->user->full_name ?? '' }}</a>
                            </td>
                            <td>
                                <a
                                    href="{{ Route('user.info', $block_user->blockeduser->id) }}">{{ $block_user->blockeduser->full_name ?? '' }}</a>
                            </td>
                            {{-- <td>{{ $block_user->provider }}</td> --}}
                            <td>{{ $block_user->created_at }}</td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <script>
        function swalll(routeUrl, title, confirmText, successMessage) {
            event.preventDefault();
            swal({
                title: title,
                text: confirmText,
                icon: "warning",
                buttons: true,
                dangerMode: true,
            }).then((willDelete) => {
                if (willDelete) {
                    window.location.href = routeUrl;
                    swal(successMessage, {
                        icon: "success",
                    });
                } else {
                    // swal("Your imaginary file is safe!");
                }
            });
        }
    </script>
@endsection
