<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('images/Bara 1.png') }}">
    <title>Bizz Feed</title>

    <!-- page css -->
    <!-- Custom CSS -->
    {{-- <link href="{{ asset('dist/css/style.min.css') }}" rel="stylesheet"> --}}
    <link href="{{ asset('dist/css/pages/login-register-lock.css') }}" rel="stylesheet">
    <link href="{{ asset('dist/css/mdb.min.css') }}" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap" rel="stylesheet" />
    <link href="{{ asset('dist/css/mdb1.min.css') }}" rel="stylesheet">

    <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-
    alpha/css/bootstrap.css"
        rel="stylesheet">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <link rel="stylesheet" type="text/css"
        href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">

    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>


    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>



    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
</head>

<body class="skin-default card-no-border" style="background-color: #9694aa;">
    <!-- ============================================================== -->
    <!-- Preloader - style you can find in spinners.css -->
    <!-- ============================================================== -->
    <div class="preloader">
        <div class="loader">
            <div class="loader__figure"></div>
            <p class="loader__label">Bizz Feed</p>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- Main wrapper - style you can find in pages.scss -->
    <!-- ============================================================== -->
    <section id="wrapper" class="login-register login-sidebar"
        style="background-image:url('{{ asset('images/BizzFeed-03.png') }}');width: 74%;filter: drop-shadow(46px 15px 6px black);">
        {{-- <img src="{{asset('images/mantahaimage1.png')}}" alt=""> --}}
        <div class="row">
            <div class="col-md-9">
                {{-- <div class="d-flex flex-column justify-content-end">
                    <img src="{{ asset('images/foodsnapplogo.png') }}" alt=""
                        style="    width: 22%;
                    height: 34vh;
                    margin-left: 36%;
                    margin-top: 13%;">
                    <img src="{{ asset('images/foodsnaplogoText.png') }}" alt=""
                        style="width: 34%;
                        height: 9vh;
                        margin-left: 30%;
                        margin-top: -5%;">
                </div> --}}
            </div>
            <div class="col-md-3">
                <section id="wrapper" class="login-registers login-sidebars">
                    <div style="background-color: #4fa9a7;margin-right: -36%;width: 38%;" class="login-box card "
                        style="width: 29%;
                    height: 100%;
                    -webkit-box-shadow: -47px 1px 61px 15px rgba(0,0,0,0.66);
                    -moz-box-shadow: -47px 1px 61px 15px rgba(0,0,0,0.66);">
                        <div class="card-body d-flex flex-column justify-content-center">
                            <form method="POST" class="form-horizontal form-material" id="loginform"
                                action="{{ route('login') }}">
                                @csrf
                                <div class="d-flex justify-content-center"
                                    style="width: 100%; height: auto; padding: 5px 0px; margin-bottom: 8%;">
                                    {{-- <img src="{{ asset('images/Bara Saboot.png') }}" alt=""
                                        style="width: 160px;"> --}}
                                    {{-- <img src="{{asset('images/Group 28919.png')}}" alt="" style=""> --}}
                                </div>

                                {{-- <h5 style="font-size: xx-large;
                                font-variant-caps: petite-caps;" class="text-center font-bold m-b-20">Welcome !</h5> --}}
                                {{-- <div class="form-outline">
                                    <input type="text" id="form1" class="form-control" />
                                    <label class="form-label" for="form1">Example label</label>
                                  </div> --}}
                                  <div class="form-outline" style="margin-top: 8%; padding: 0%;">
                                    <input style="background: #eff8f3; color: #4fa9a7;" placeholder="Email" id="email"
                                           type="email" class="form-control @error('email') is-invalid @enderror"
                                           name="email" value="{{ old('email') }}">

                                    {{-- <label class="form-label" for="email">Email</label> --}}
                                    @error('email')
                                        <span class="invalid-feedback" style="text-align: left; top: 46px;" role="alert">
                                            <p>{{ $message }}</p>
                                        </span>
                                    @enderror
                                </div>

                                <div class="form-outline" style="    margin-top: 5%; padding: 0%;">
                                    <input style="background:#eff8f3;color:#4fa9a7;" placeholder="Password" id="myInput"
                                        type="password" class="form-control  @error('password') is-invalid @enderror"
                                        name="password">
                                    {{-- <label class="form-label" for="password">Password</label> --}}

                                    @error('password')
                                        <span class="invalid-feedback" style=" top: 48px;" role="alert">
                                            <p>{{ $message }}</p>
                                        </span>
                                    @enderror
                                </div>
                                <input type="checkbox" onclick="myFunction()"> Show Password
                                {{-- <div class="form-group row" style="    margin-top: 2%;">
                                    <div class="col-md-12">
                                        <div class="d-flex no-block align-items-center">
                                            <div class="form-check">
                                                <input type="checkbox" class="form-check-input" id="customCheck1">
                                                <label class="form-check-label" for="customCheck1">Remember me</label>
                                            </div>
                                        </div>
                                    </div>
                                </div> --}}

                                <div class="form-group text-center d-flex justify-content-center"
                                    style="margin-top: 7%;">
                                    <button class="btn btn-lg btn-rounded text-white"
                                    style="background-color:rgb(79, 169, 167);
                                    border: 1px solid; width: 35%; "
                                        type="submit">Log
                                        In</button>
                                </div>
                                <div class="form-group text-center" style="margin-top: 3%;">
                                    @if (Route::has('password.request'))
                                        <a class="text-muted" href="{{ route('password.request') }}">
                                            {{ __('Forgot Password?') }}
                                        </a>
                                    @endif
                                </div>
                            </form>
                        </div>
                    </div>
                </section>
            </div>
        </div>


    </section>

    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- All Jquery -->
    <!-- ============================================================== -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/6.0.1/mdb.min.js"></script>

    <script src="{{ asset('modules/js/jquery/dist/jquery.min.js') }}"></script>
    <!-- Bootstrap tether Core JavaScript -->
    <script src="{{ asset('modules/js/bootstrap.bundle.min.js') }}"></script>
    <!--Custom JavaScript -->
    <script type="text/javascript">
        $(function() {
            $(".preloader").fadeOut();
        });
        $(function() {
            $('[data-bs-toggle="tooltip"]').tooltip()
        });
        // ==============================================================
        // Login and Recover Password
        // ==============================================================
        $('#to-recover').on("click", function() {
            $("#loginform").slideUp();
            $("#recoverform").fadeIn();
        });
    </script>

    <script>
        // show password method
        function myFunction() {
            var x = document.getElementById("myInput");
            if (x.type === "password") {
                x.type = "text";
            } else {
                x.type = "password";
            }
        }
        // show password method end
        function swall() {
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary file!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        swal("Poof! Your imaginary file has been deleted!", {
                            icon: "success",
                        });
                    } else {
                        swal("Your imaginary file is safe!");
                    }
                });

        }
    </script>

    <script>
        @if (Session::has('message'))
            toastr.options = {
                "closeButton": true,
                "progressBar": true,
                "positionClass": "toast-top-left"
            }
            toastr.success("{{ session('message') }}");
        @endif

        @if (Session::has('error'))
            toastr.options = {
                "closeButton": true,
                "progressBar": true
            }
            toastr.error("{{ session('error') }}");
        @endif

        @if (Session::has('info'))
            toastr.options = {
                "closeButton": true,
                "progressBar": true
            }
            toastr.info("{{ session('info') }}");
        @endif

        @if (Session::has('warning'))
            toastr.options = {
                "closeButton": true,
                "progressBar": true
            }
            toastr.warning("{{ session('warning') }}");
        @endif
    </script>
</body>

</html>
