@extends('layouts.master')
@section('contain')
    <div class="row page-titles"
        >
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Feedback Management</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    {{-- <li class="breadcrumb-item active">User Table</li> --}}
                </ol>
                {{-- <a href="{{ Route('annoucnment.swform') }}"><button type="button"
                        class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i>Create
                        New</button></a> --}}
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            {{-- <h6 class="card-subtitle">Data table example</h6> --}}
            <div class="table-responsive">
                <table id="myTable" class="table table-striped border">
                    <thead>
                        <tr class="text-white" style="background-color: gray">
                            <th>S.No</th>
                            <th>Company Name</th>
                            <th>User Name</th>
                            <th>Subject</th>
                            <th>Message</th>
                            <th class="action-hide">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php
                            $num = 1;
                        @endphp
                        @foreach ($feedbacks as $feedback)
                            <tr>
                                <td>{{ $num++ }}</td>
                                <td>{{ $feedback->company??"-"}}</td>
                                <td>{{  $feedback->name ??'-'}}</td>
                                <td>{{ $feedback->subject??'-'}}</td>
                                <td>{{ $feedback->message ??'-' }}</td>
                                <td class="text-canter">
                                        <a title="delete" class="btn" onclick="swalll({{ $feedback->id }})"><i
                                                class="fa fa-trash" style="font-size: 20px;color: crimson;"></i></a>
                                        <form id="delete-form-{{ $feedback->id }}"
                                            action="{{ route('feedback.delete', $feedback->id) }}" method="POST"
                                            class="d-none">
                                            @csrf
                                            @method('DELETE')
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!-- sample modal content -->
    <div class="modal" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel1">
        <div class="modal-dialog " role="document">
            <div class="modal-content" style="background-color: darkgray;border-radius: 5%;">
                <div class="modal-header">
                    <h4 class="font-bold" id="exampleModalLabel1">Post Media
                    </h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true"></span></button>
                </div>
                <div class="modal-body">
                    <div class="table-responsive">
                        <table id="" class="table table-striped">
                            <thead>
                                <tr class="text-white" style="background-color: gray">
                                    <th>S.No</th>
                                    <th>Media</th>
                                    {{-- <th>Created</th> --}}
                                </tr>
                            </thead>
                            <tbody class="mydata">

                                <tr>
                                    <td>0</td>
                                    <td
                                        value="https://images.unsplash.com/photo-1604964432806-254d07c11f32?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxzZWFyY2h8M3x8ZGV2ZWxvcGVyfGVufDB8fDB8fA%3D%3D&auto=format&fit=crop&w=700&q=60">
                                        image</td>
                                    <td>null</td>
                                </tr>
                                <tr>
                                    <td>1</td>
                                    <td
                                        value="http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/WeAreGoingOnBullrun.mp4">
                                        video</td>
                                    <td>null</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
                {{-- <div class="modal-footer"> --}}
                <button type="button" class="btn btn-default text-dark" data-bs-dismiss="modal">Close</button>
                {{-- </div> --}}
            </div>
        </div>
    </div>
    <!-- /.modal -->
    <script>
        // popup method
        function setMsg(e) {
            let dataList = '';
            var s_no = 1;
            let mydata = $(e).attr("data-msg");
            if (mydata.length > 0) {
                mydata = eval(mydata);
                $.each(mydata, function(key, value) {
                    // alert(JSON.stringify(value));
                    // Get the file extension from the media path
                    // var fileExtension = value.media.split('.').pop();
                    if (value.type == 'image') {
                        dataList += '<tr><td>' + s_no++ +
                            '</td><td><a href="{{ URL::asset('+value.media+' != null ? env('MEDIA_URL') : null) }}' +
                            value.media +
                            '" target="_blank"><img  width="50px" height="50" class="img-circle" src="{{ URL::asset(env('MEDIA_URL')) }}' +
                            value.media + '" /></a></td></tr> <br>';
                    } else if (value.type == 'video') {
                        dataList += '<tr><td>' + s_no++ +
                            '</td><td><a href="{{ URL::asset('+value.media+' != null ? env('MEDIA_URL') : null) }}' +
                            value.media + '" target="_blank"><video src="{{ URL::asset(env('MEDIA_URL')) }}' +
                            value.media +
                            '" controls width="110" height="60" style="margin-top: 11px;"></video></a></td></tr> <br>';
                    }
                });
            } else {
                // dataList = '<tr><td colspan="3"> No Data </td></tr>';
            }
            console.log(dataList);
            $('.mydata').empty();
            $('.mydata').html(dataList);
            // $('#tdMdlMsg').html($(e).attr("data-msg"));
        }
        // popup method
        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary field !",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });


            // alert(id);
        }
    </script>
@endsection
