 <!-- Left Sidebar - style you can find in sidebar.scss  -->
 <!-- ============================================================== -->
 <aside class="left-sidebar">
     <!-- Sidebar scroll-->
     <div class="scroll-sidebar">
         <!-- Sidebar navigation-->
         <nav class="sidebar-nav">
             <ul id="sidebarnav">

                 {{-- <li class="user-pro"> <a class="has-arrow waves-effect waves-dark" href="javascript:void(0)"
                         aria-expanded="false"><span class="hide-menu"> --}}
                 {{-- <h4>{{ auth()->user()->full_name }}</h4>
                         </span></a> --}}
                 <ul aria-expanded="false" class="collapse">

                     <li><a href="{{ route('password.request') }}"><i class="ti-settings"></i> Reset Password</a>
                     </li>
                     <li>
                         <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                             @csrf
                         </form>
                         <a class="waves-effect waves-dark" href="{{ route('logout') }}"
                             onclick="event.preventDefault();
                                              document.getElementById('logout-form').submit();"
                             aria-expanded="false">
                             <i class="icon-logout"></i>
                             <span class="hide-menu">Log Out</span>
                         </a>
                     </li>
                 </ul>
                 <style>
                     a {
                         text-decoration: none;
                         /* Removes underline */
                     }
                 </style>

                 @can('activity')
                     <li> <a class="waves-effect waves-dark" title="Activities" href="{{ route('activity.list') }}"><i
                                 class="fas fa-bell">

                                 <div style="display: none;position: relative;top: -1px;right: 9px;" class="notify">
                                     <span class="heartbit"></span>
                                 </div>

                             </i><span class="hide-menu">

                                 <span id="data-container" class="badge rounded-pill bg-cyan ms-auto"></span>

                                 Activities
                             </span>
                         </a>
                     </li>
                 @endcan
                 {{-- <li class="nav-small-cap"></li> --}}
                 @if (auth()->user()->user_role == 'sub_admin')
                     <li> <a class="waves-effect waves-dark" title="Dashboard" href="{{ url('/home') }}"><i
                                 class="icon-speedometer"></i><span class="hide-menu">Dashboard</span></a>
                         @can('user-module')
                         <li> <a class="waves-effect waves-dark" title="User Management" href="{{ Route('user.index') }}"><i
                                     class="fa fa-users"></i><span class="hide-menu">User Management</span></a>
                         @endcan
                         @can('department-module')
                         <li> <a class="waves-effect waves-dark" title="Department Management"
                                 href="{{ Route('department.index') }}"><i class="fa fa-building"></i><span
                                     class="hide-menu">Department Management</span></a>
                         @endcan
                         @can('poll-module')
                         <li> <a class="waves-effect waves-dark"
                                 title="{{ auth()->user()->user_role == 'sub_admin' ? 'Poll Management' : 'Stock Poll Management' }}"
                                 href="{{ Route('poll.index') }}"><i class="fas fa-poll"></i>
                                 <span
                                     class="hide-menu">{{ auth()->user()->user_role == 'sub_admin' ? 'Poll Management' : 'Stock Poll Management' }}</span></a>
                         @endcan
                         @can('suggestion-module')
                         <li> <a class="waves-effect waves-dark" title="Bright Ideas Management"
                                 href="{{ Route('suggestion.index') }}"><i class="fa fa-lightbulb "></i><span
                                     class="hide-menu">Bright Ideas Management</span></a>
                         @endcan
                         @can('invite-module')
                         <li> <a class="waves-effect waves-dark" title="Invite Management"
                                 href="{{ Route('invite.index') }}"><i class="fas fa-envelope-open-text"></i><span
                                     class="hide-menu">Invite Management</span></a>
                         @endcan
                         @can('newsfeed-module')
                         <li> <a class="waves-effect waves-dark" title="News Feeds Manageent"
                                 href="{{ Route('newsfeed.index') }}"><i class="fas fa-rss"></i><span
                                     class="hide-menu">News
                                     Feeds Manageent</span></a>
                         @endcan
                         @can('incident-module')
                         <li> <a class="waves-effect waves-dark" title="Good Neighbour Management"
                                 href="{{ Route('incident.index') }}"><i class="fas fa-exclamation-circle"></i><span
                                     class="hide-menu">Good Neighbour Management</span></a>
                         @endcan
                         @can('announcement-module')
                         <li> <a class="waves-effect waves-dark" title="Announcement Management"
                                 href="{{ Route('announcement.list') }}"><i class="fa fa-bullhorn"
                                     aria-hidden="true"></i></i><span class="hide-menu">Announcement
                                     Management</span></a>
                         @endcan
                         @can('contectUs-module')
                         <li> <a class="waves-effect waves-dark" title="Contact Us"
                                 href="{{ Route('contactus.index') }}"><i class="fa fa-phone"></i><span
                                     class="hide-menu">Contact Us</span></a>
                         @endcan
                     @elseif(auth()->user()->user_role == 'admin')
                     <li> <a class="waves-effect waves-dark" title="Dashboard" href="{{ url('/home') }}"><i
                                 class="icon-speedometer"></i><span class="hide-menu">Dashboard</span></a>
                     <li> <a class="waves-effect waves-dark" title="Industry Management"
                             href="{{ Route('industry.index') }}"><i class="fas fa-industry"></i><span
                                 class="hide-menu">Industry Management</span></a>
                     <li> <a class="waves-effect waves-dark" title="Company Management"
                             href="{{ Route('company.index') }}"><i class="fa fa-building"></i><span
                                 class="hide-menu">Company Management</span></a>
                     {{-- <li> <a class="waves-effect waves-dark" title="Company Management"
                             href="{{ Route('roles.index') }}"><i class="fa fa-user-cog"></i><span
                                 class="hide-menu">Role Management</span></a> --}}
                     <li> <a class="waves-effect waves-dark"
                             title="{{ auth()->user()->user_role == 'sub_admin' ? 'Poll Management' : 'Stock Poll Management' }}"
                             href="{{ Route('poll.index') }}"><i class="fas fa-poll"></i>
                             <span
                                 class="hide-menu">{{ auth()->user()->user_role == 'sub_admin' ? 'Poll Management' : 'Stock Poll Management' }}</span></a>
                     <li> <a class="waves-effect waves-dark" title="Content Management"
                             href="{{ Route('content.list') }}"><i class="fa fa-tag"></i><span
                                 class="hide-menu">Content
                                 Management</span></a>
                     <li> <a class="waves-effect waves-dark" title="App FeeBack"
                             href="{{ Route('feedback.index') }}"><i class="fa fa-star"></i><span
                                 class="hide-menu">App FeedBack</span></a>
                     <li> <a class="waves-effect waves-dark" title="Setting" href="{{ Route('setting.index') }}"><i
                                 class="fa fa-cog"></i><span class="hide-menu">Setting</span></a>
                 @endif


         </nav>
         <!-- End Sidebar navigation -->
     </div>
     <!-- End Sidebar scroll-->
 </aside>
 <script>
     function getData() {
         $.ajax({
             url: '{{ Route('activity.count') }}',
             success: function(data) {
                 $('#data-container').html(data);
                 if (parseInt(data) > 0) {
                     $('.notify').show();
                     $('.rounded-pill').show();
                 } else {
                     $('.notify').hide();
                     $('.rounded-pill').hide();
                 }
             },
             error: function(error) {
                 console.log(error);
             }
         });
     }

     // Call the getData function every 5 seconds
     setInterval(getData, 4000);
 </script>
