
<?php $__env->startSection('contain'); ?>
    
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <?php if(isset($announcement)): ?>
                <h4 class="card-title">Update Announcement</h4>
            <?php else: ?>
                <h4 class="card-title">Add Announcement</h4>
            <?php endif; ?>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active"><a class="text-cyan" href="<?php echo e(url('/')); ?>">Home</a></li>
                    <li class="breadcrumb-item active">
                        <a href="<?php echo e(Route('announcement.list')); ?>" class="text-cyan">Announcments</a>
                    </li>
                </ol>
            </div>
        </div>
    </div>
    
    <div class="row">
        <div class="col-12">
            <div class="card card-body">
                <div class="row">
                    <div class="col-sm-6 col-xs-12">
                        <?php if(isset($announcement)): ?>
                            <form method="POST" action="<?php echo e(Route('announcement.update', $announcement->id)); ?>"
                                enctype="multipart/form-data" data-parsley-validate>
                                <?php echo csrf_field(); ?>
                            <?php else: ?>
                                <form method="POST" action="<?php echo e(Route('annoucnment.add')); ?>" enctype="multipart/form-data" data-parsley-validate>
                                    <?php echo csrf_field(); ?>
                        <?php endif; ?>
                        

                        <!--<div class="form-group col-sm-12">-->
                        <!--    <label for="title" class="font-bold">Title*</label>-->
                        <!--  <input required-->
                        <!--   data-parsley-required-message="Title field is required"-->
                        <!--   data-parsley-maxlength="20" -->
                        <!--   data-parsley-maxlength-message="Title should not exceed 20 characters."-->
                        <!--   type="text"-->
                        <!--   name="title"-->
                        <!--   value="<?php echo e(isset($announcement) ? ($announcement->title ? $announcement->title : (old('title') ? old('title') : '')) : (old('title') ? old('title') : '')); ?>"-->
                        <!--   class="form-control <?php $__errorArgs = ['title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"-->
                        <!--   id=""-->
                        <!--   placeholder="Enter title">-->
                        <!--    <?php $__errorArgs = ['title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>-->
                        <!--        <span class="invalid-feedback" role="alert">-->
                        <!--            <strong><?php echo e($message); ?></strong>-->
                        <!--        </span>-->
                        <!--    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>-->
                        <!--</div>-->
                        <div class=" form-group col-md-12">
                            <label class="font-bold">Description*</label>
                            <textarea required data-parsley-required-message="Description field is required"
                            data-parsley-maxlength="500"
       data-parsley-maxlength-message="Description should not exceed 500 characters."
                            id="" placeholder="Add Description" class="form-control <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                name="description" rows="5"><?php echo e(isset($announcement) ? ($announcement->description ? $announcement->description : (old('description') ? old('description') : '')) : (old('description') ? old('description') : '')); ?></textarea>
                            <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="invalid-feedback" role="alert">
                                    <strong><?php echo e($message); ?></strong>
                                </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <input type="hidden" value="" id="hfImgDeletedIds" name="imgids" />
                        <?php if(isset($announcement)): ?>
                            <button type="submit" class="btn btn-warning me-2 text-white">Update</button>
                        <?php else: ?>
                            <button type="submit" class="btn btn-success me-2 text-white">Submit</button>
                        <?php endif; ?>
                        
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
    $(document).ready(function() {
        var exampleUrl = "http://example.com";
        var errorMessage = "Please enter a valid HTTP URL. Example: " + exampleUrl;
        $('#exampleInputEmail111').parsley().on('field:error', function() {
            var errorElement = $(this.$element).closest('.form-group').find('.parsley-errors-list.filled');
            errorElement.html(errorMessage);
        });
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/announcement/form.blade.php ENDPATH**/ ?>