 <!-- Left Sidebar - style you can find in sidebar.scss  -->
 <!-- ============================================================== -->
 <aside class="left-sidebar">
     <!-- Sidebar scroll-->
     <div class="scroll-sidebar">
         <!-- Sidebar navigation-->
         <nav class="sidebar-nav">
             <ul id="sidebarnav">

                 
                 
                 <ul aria-expanded="false" class="collapse">

                     <li><a href="<?php echo e(route('password.request')); ?>"><i class="ti-settings"></i> Reset Password</a>
                     </li>
                     <li>
                         <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                             <?php echo csrf_field(); ?>
                         </form>
                         <a class="waves-effect waves-dark" href="<?php echo e(route('logout')); ?>"
                             onclick="event.preventDefault();
                                              document.getElementById('logout-form').submit();"
                             aria-expanded="false">
                             <i class="icon-logout"></i>
                             <span class="hide-menu">Log Out</span>
                         </a>
                     </li>
                 </ul>
                 <style>
                     a {
                         text-decoration: none;
                         /* Removes underline */
                     }
                 </style>

                 <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('activity')): ?>
                     <li> <a class="waves-effect waves-dark" title="Activities" href="<?php echo e(route('activity.list')); ?>"><i
                                 class="fas fa-bell">

                                 <div style="display: none;position: relative;top: -1px;right: 9px;" class="notify">
                                     <span class="heartbit"></span>
                                 </div>

                             </i><span class="hide-menu">

                                 <span id="data-container" class="badge rounded-pill bg-cyan ms-auto"></span>

                                 Activities
                             </span>
                         </a>
                     </li>
                 <?php endif; ?>
                 
                 <?php if(auth()->user()->user_role == 'sub_admin'): ?>
                     <li> <a class="waves-effect waves-dark" title="Dashboard" href="<?php echo e(url('/home')); ?>"><i
                                 class="icon-speedometer"></i><span class="hide-menu">Dashboard</span></a>
                         <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user-module')): ?>
                         <li> <a class="waves-effect waves-dark" title="User Management" href="<?php echo e(Route('user.index')); ?>"><i
                                     class="fa fa-users"></i><span class="hide-menu">User Management</span></a>
                         <?php endif; ?>
                         <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('department-module')): ?>
                         <li> <a class="waves-effect waves-dark" title="Department Management"
                                 href="<?php echo e(Route('department.index')); ?>"><i class="fa fa-building"></i><span
                                     class="hide-menu">Department Management</span></a>
                         <?php endif; ?>
                         <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('poll-module')): ?>
                         <li> <a class="waves-effect waves-dark"
                                 title="<?php echo e(auth()->user()->user_role == 'sub_admin' ? 'Poll Management' : 'Stock Poll Management'); ?>"
                                 href="<?php echo e(Route('poll.index')); ?>"><i class="fas fa-poll"></i>
                                 <span
                                     class="hide-menu"><?php echo e(auth()->user()->user_role == 'sub_admin' ? 'Poll Management' : 'Stock Poll Management'); ?></span></a>
                         <?php endif; ?>
                         <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('suggestion-module')): ?>
                         <li> <a class="waves-effect waves-dark" title="Bright Ideas Management"
                                 href="<?php echo e(Route('suggestion.index')); ?>"><i class="fa fa-lightbulb "></i><span
                                     class="hide-menu">Bright Ideas Management</span></a>
                         <?php endif; ?>
                         <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('invite-module')): ?>
                         <li> <a class="waves-effect waves-dark" title="Invite Management"
                                 href="<?php echo e(Route('invite.index')); ?>"><i class="fas fa-envelope-open-text"></i><span
                                     class="hide-menu">Invite Management</span></a>
                         <?php endif; ?>
                         <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('newsfeed-module')): ?>
                         <li> <a class="waves-effect waves-dark" title="News Feeds Manageent"
                                 href="<?php echo e(Route('newsfeed.index')); ?>"><i class="fas fa-rss"></i><span
                                     class="hide-menu">News
                                     Feeds Manageent</span></a>
                         <?php endif; ?>
                         <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('incident-module')): ?>
                         <li> <a class="waves-effect waves-dark" title="Good Neighbour Management"
                                 href="<?php echo e(Route('incident.index')); ?>"><i class="fas fa-exclamation-circle"></i><span
                                     class="hide-menu">Good Neighbour Management</span></a>
                         <?php endif; ?>
                         <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('announcement-module')): ?>
                         <li> <a class="waves-effect waves-dark" title="Announcement Management"
                                 href="<?php echo e(Route('announcement.list')); ?>"><i class="fa fa-bullhorn"
                                     aria-hidden="true"></i></i><span class="hide-menu">Announcement
                                     Management</span></a>
                         <?php endif; ?>
                         <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('contectUs-module')): ?>
                         <li> <a class="waves-effect waves-dark" title="Contact Us"
                                 href="<?php echo e(Route('contactus.index')); ?>"><i class="fa fa-phone"></i><span
                                     class="hide-menu">Contact Us</span></a>
                         <?php endif; ?>
                     <?php elseif(auth()->user()->user_role == 'admin'): ?>
                     <li> <a class="waves-effect waves-dark" title="Dashboard" href="<?php echo e(url('/home')); ?>"><i
                                 class="icon-speedometer"></i><span class="hide-menu">Dashboard</span></a>
                     <li> <a class="waves-effect waves-dark" title="Industry Management"
                             href="<?php echo e(Route('industry.index')); ?>"><i class="fas fa-industry"></i><span
                                 class="hide-menu">Industry Management</span></a>
                     <li> <a class="waves-effect waves-dark" title="Company Management"
                             href="<?php echo e(Route('company.index')); ?>"><i class="fa fa-building"></i><span
                                 class="hide-menu">Company Management</span></a>
                     
                     <li> <a class="waves-effect waves-dark"
                             title="<?php echo e(auth()->user()->user_role == 'sub_admin' ? 'Poll Management' : 'Stock Poll Management'); ?>"
                             href="<?php echo e(Route('poll.index')); ?>"><i class="fas fa-poll"></i>
                             <span
                                 class="hide-menu"><?php echo e(auth()->user()->user_role == 'sub_admin' ? 'Poll Management' : 'Stock Poll Management'); ?></span></a>
                     <li> <a class="waves-effect waves-dark" title="Content Management"
                             href="<?php echo e(Route('content.list')); ?>"><i class="fa fa-tag"></i><span
                                 class="hide-menu">Content
                                 Management</span></a>
                     <li> <a class="waves-effect waves-dark" title="App FeeBack"
                             href="<?php echo e(Route('feedback.index')); ?>"><i class="fa fa-star"></i><span
                                 class="hide-menu">App FeedBack</span></a>
                     <li> <a class="waves-effect waves-dark" title="Setting" href="<?php echo e(Route('setting.index')); ?>"><i
                                 class="fa fa-cog"></i><span class="hide-menu">Setting</span></a>
                 <?php endif; ?>


         </nav>
         <!-- End Sidebar navigation -->
     </div>
     <!-- End Sidebar scroll-->
 </aside>
 <script>
     function getData() {
         $.ajax({
             url: '<?php echo e(Route('activity.count')); ?>',
             success: function(data) {
                 $('#data-container').html(data);
                 if (parseInt(data) > 0) {
                     $('.notify').show();
                     $('.rounded-pill').show();
                 } else {
                     $('.notify').hide();
                     $('.rounded-pill').hide();
                 }
             },
             error: function(error) {
                 console.log(error);
             }
         });
     }

     // Call the getData function every 5 seconds
     setInterval(getData, 4000);
 </script>
<?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/partials/sidebar.blade.php ENDPATH**/ ?>