<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset('images/Bara 1.png')); ?>">
    <title>Bizz Feed</title>

    <!-- page css -->
    <link href="<?php echo e(asset('dist/css/pages/login-register-lock.css')); ?>" rel="stylesheet">
    <!-- Custom CSS -->
    <!-- Custom CSS -->
    
    <link href="<?php echo e(asset('dist/css/pages/login-register-lock.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('dist/css/mdb.min.css')); ?>" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap" rel="stylesheet" />
    


    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
</head>

<body class="skin-default card-no-border" style="background-color: #9694aa;">
    <!-- ============================================================== -->
    <!-- Preloader - style you can find in spinners.css -->
    <!-- ============================================================== -->
    <div class="preloader">
        <div class="loader">
            <div class="loader__figure"></div>
            <p class="loader__label">Bizz Feed</p>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- Main wrapper - style you can find in pages.scss -->
    <!-- ============================================================== -->
    <section id="wrapper" class="login-register login-sidebar"
        style="background-image:url('<?php echo e(asset('images/BizzFeed-03.png')); ?>');width: 74%;filter: drop-shadow(46px 15px 6px black);">
        
        <div class="row">
            <div class="col-md-9">
                
            </div>
            <div class="col-md-3">
                <section id="wrapper" class="login-registers login-sidebars">
                    <div style="    background-color: #4fa9a7;margin-right: -36%;" class="login-box card "
                        style="width: 29%;
                    -webkit-box-shadow: -47px 1px 61px 15px rgba(0,0,0,0.66);
                    -moz-box-shadow: -47px 1px 61px 15px rgba(0,0,0,0.66);">
                        <div class="card-body d-flex flex-column justify-content-center">
                            
                            <?php if(session('status')): ?>
                                <div class="alert alert-success" role="alert">
                                    <?php echo e(session('status')); ?>

                                </div>
                            <?php endif; ?>

                            <form class="form-horizontal form-material" id="loginform" method="POST"
                                action="<?php echo e(route('password.email')); ?>">
                                <?php echo csrf_field(); ?>
                                <div class="d-flex justify-content-center"
                                    style="width: 100%; height: auto; padding: 5px 0px;">
                                    

                                    <h6 class="box-title">Forgot Password</h6>
                                </div>

                                <div class="form-outline" style=" margin-top: 8%;padding: 0%;">
                                    <input style="background: white;color:#4fa9a7" placeholder="Email" id="email" type="email"
                                        class="form-control <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="email"
                                        value="<?php echo e(old('email')); ?>">
                                    
                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="invalid-feedback" style=" right: 5px; top: 48px;" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group text-center p-b-10" style="margin-top: 12%;">
                                    <div class="col-xs-12">
                                        <button class="btn btn-lg  btn-rounded text-white"
                                            style="background-color:rgb(79, 169, 167);
                                border: 1px solid; width: 76%; "
                                            type="submit"><?php echo e(__('Send Password Reset Link')); ?></button>
                                    </div>
                                </div>
                            </form>
                            <div class="d-flex justify-content-center" style=" padding: 5px 0px;font-size: 100%; ">
                                
                                <a  href="<?php echo e(Route('home')); ?>" class="btn btn-lg btn-success btn-rounded text-white" style="background-color:rgb(79, 169, 167);
                                border: 1px solid; width: 65%; " type="button"><?php echo e(__('Back')); ?></a>

                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </section>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- All Jquery -->
    <!-- ============================================================== -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/6.0.1/mdb.min.js"></script>

    <script src="<?php echo e(asset('modules/js/jquery/dist/jquery.min.js')); ?>"></script>
    <!-- Bootstrap tether Core JavaScript -->
    <script src="<?php echo e(asset('modules/js/bootstrap.bundle.min.js')); ?>"></script>
    <script type="text/javascript">
        $(function() {
            $(".preloader").fadeOut();
        });
    </script>

</body>

</html>
<?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/auth/passwords/email.blade.php ENDPATH**/ ?>