<?php $__env->startSection('title'); ?>
    <?php echo e('Page Title Goes Here'); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('contain'); ?>
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
    <style>
        .permissions-container {
            display: flex;
            flex-wrap: wrap;
            gap: 10px;
        }

        .permission-label {
            display: flex;
            align-items: center;
            padding: 5px 10px;
            border: 1px solid #9fdb77;
            border-radius: 20px;
            background-color:linear-gradient(23deg, #00c292, #00a6b4, #0077b6, #004e98, #001d6c);
            /* Hue: 230, Saturation: 70%, Lightness: 70% */
            margin-right: 10px;
            margin-bottom: 10px;
        }


        .permission-label input {
            margin-right: 5px;
        }
    </style>
    <div class="row">
        <!-- Column -->
        <div class="col-lg-4 col-xlg-3 col-md-5">
            <div class="card">

                <div class="card-body">
                    
                    <center class="m-t-30">
                        <a href="<?php echo e(URL::asset($user->profile_image != null ? env('MEDIA_URL') . $user->profile_image : 'images/placeholder_blue_user.png')); ?>"
                            target="_blank">
                            <img src="<?php echo e($user->profile_image != null ? env('MEDIA_URL') . $user->profile_image : asset('images/placeholder_blue_user.png')); ?>"
                                class="img-circle" width="150" style="width: 100px;height: 100px;" />
                        </a>
                        <h4 class=" waves-dark active m-t-10"><?php echo e($user->first_name); ?></h4>
                        <?php if($user->user_role == 'nanny'): ?>
                            <h6 class="text-success">Caregiver</h6>
                        <?php else: ?>
                            <h6 class="text-success"><?php echo e($user->user_role); ?></h6>
                        <?php endif; ?>

                        
                    </center>
                </div>
                <div>
                    <hr>
                </div>
                <div class="card-body"> <small class="text-muted">Email address </small>
                    <h6><?php echo e($user->email); ?></h6> <small class="text-muted p-t-30 db">Phone</small>
                    <h6><?php echo e($user->phone); ?></h6> <small class="text-muted p-t-30 db">Address</small>
                    <h6><?php echo e($user->company->address); ?></h6>
                    <div id="map" style=" height: 150px;"></div>
                    
                    
                    
                    
                </div>
            </div>
        </div>
        <!-- Column -->
        <!-- Column -->
        <div class="col-lg-8 col-xlg-9 col-md-7">
            <div class="card">
                <!-- Nav tabs -->
                <ul class="nav nav-tabs profile-tab" role="tablist">
                    <li class="nav-item"> <a class="nav-link active" data-bs-toggle="tab" href="#home"
                            role="tab">Timeline</a> </li>
                    
                    
                    
                    
                    <li class="nav-item"> <a class="nav-link" data-bs-toggle="tab" href="#departments"
                            role="tab">Departments</a>
                    </li>
                </ul>
                <!-- Tab panes -->
                <div class="tab-content">
                    <div class="tab-pane active" id="home" role="tabpanel">
                        <div class="card-body">
                            <div class="tab-content">
                                <div class="tab-pane active" id="profile" role="tabpanel">
                                    <div class="card-body" style="height: 75.5vh;">
                                        <div class="row">
                                            <div class="col-md-3 col-xs-6 b-r"> <strong>Contect Name</strong>
                                                <br>
                                                <p class="text-muted"><?php echo e($user->last_name ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-3 col-xs-6 b-r"> <strong>Email</strong>
                                                <br>
                                                <p class="text-muted"><?php echo e($user->email); ?></p>
                                            </div>
                                            <div class="col-md-3 col-xs-6"> <strong>Phone</strong>
                                                <br>
                                                <p class="text-muted"><?php echo e($user->phone ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-3 col-xs-6"> <strong>Industry</strong>
                                                <br>
                                                <p class="text-muted"><?php echo e($user->company->indust->name ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-3 col-xs-6"> <strong>Company Code</strong>
                                                <br>
                                                <p class="text-muted"><?php echo e($user->company->company_code ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-3 col-xs-6 b-r"> <strong>Registration #</strong>
                                                <br>
                                                <p class="text-muted">
                                                    <?php echo e($user->company->registration ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-3 col-xs-6 b-r"> <strong>Website</strong>
                                                <br>
                                                <p class="text-muted">
                                                    <?php echo e($user->company->website ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-3 col-xs-6"> <strong>Num of Employees</strong>
                                                <br>
                                                <p class="text-muted"><?php echo e($user->company->employees ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-3 col-xs-6"> <strong>Limit of Polls</strong>
                                                <br>
                                                <p class="text-muted"><?php echo e($user->company->poll_limit ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-3 col-xs-6"> <strong>Invoice Email Address</strong>
                                                <br>
                                                <p class="text-muted"><?php echo e($user->company->invoice_Email_address ?? '-'); ?></p>
                                            </div>
                                            <div class="col-md-3 col-xs-6"> <strong>Invoice Contact</strong>
                                                <br>
                                                <p class="text-muted"><?php echo e($user->company->invoice_contact ?? '-'); ?></p>
                                            </div>

                                            <strong class="text-danger">Permissions:</strong>
                                            <div class="permissions-container mt-3">
                                                <?php if(isset($user->rolesCustomRelation[0]['permissions1'])): ?>
                                                    <?php $__currentLoopData = $user->rolesCustomRelation[0]['permissions1']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <label class="permission-label">
                                                            <span><?php echo e(ucfirst(str_replace('-', ' ', $value->name))); ?></span>
                                                        </label>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php else: ?>
                                                    <span>No permissions found.</span>
                                                <?php endif; ?>
                                            </div>

                                            
                                            
                                            
                                            
                                            
                                            
                                            
                                            
                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane" id="selfie" role="tabpanel">
                                    <div class="card-body">
                                        <div class="profiletimeline">

                                            <div class="p-3">
                                                <span style="float:right;">
                                                    <form class="form-horizontal form-material"
                                                        action="https://test-cmolds.com/zauj_admin/public/users/391/update"
                                                        method="post">
                                                        <input type="hidden" name="_token"
                                                            value="p1wC3NiayGMMlY3sWxQqF6J6BlHk1OphgF8nCQQv">
                                                        <p class="text-center mt-4">Status not available</p>
                                                    </form>
                                                </span>
                                            </div>

                                            <div class="row">

                                                <div class="col-sm-4">

                                                    <p class="text-center mt-4">Not Uploaded</p>
                                                </div>

                                            </div>

                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane" id="picture" role="tabpanel">
                                    <div class="card-body">
                                        <div class="profiletimeline">

                                            <div class="row">
                                                <div class="col-sm-4">

                                                    <p class="text-center mt-4">


                                                        <a href="https://test-cmolds.com/zauj-uploads/users/PYz8K/pictures/geSGyjpg"
                                                            target="blank"> Click to view </a>
                                                        <span class="badge badge-info">pending</span>

                                                        <span style="float:right;" class="p-1">
                                                            <a href="https://test-cmolds.com/zauj_admin/public/picture/841/approved"
                                                                data-toggle="tooltip" data-original-title="Approved"
                                                                class="btn btn-primary btn-sm">
                                                                <i class="icon-check" aria-hidden="true"></i>
                                                            </a>
                                                            <a href="https://test-cmolds.com/zauj_admin/public/picture/841/rejected"
                                                                data-toggle="tooltip" data-original-title="Disapproved"
                                                                class="btn btn-danger btn-sm">
                                                                <i class="icon-close" aria-hidden="true"></i>
                                                            </a>
                                                        </span>
                                                        <img src="https://test-cmolds.com/zauj-uploads/users/PYz8K/pictures/geSGyjpg"
                                                            alt="" class="h-50 w-100">

                                                    </p>

                                                </div>

                                            </div>

                                        </div>
                                    </div>
                                </div>

                                <div class="tab-pane" id="identity" role="tabpanel">
                                    <div class="card-body">
                                        <div class="profiletimeline">

                                            <div class="p-3">
                                                <span style="float:right;">

                                                    <form class="form-horizontal form-material"
                                                        action="https://test-cmolds.com/zauj_admin/public/users/391/identity"
                                                        method="post">
                                                        <input type="hidden" name="_token"
                                                            value="p1wC3NiayGMMlY3sWxQqF6J6BlHk1OphgF8nCQQv">
                                                        <p class="text-center mt-4">Status not available</p>

                                                    </form>
                                                </span>
                                            </div>

                                            <div class="row">

                                                <div class="col-sm-4">
                                                    <p class="text-center mt-4">Not Uploaded</p>
                                                </div>

                                            </div>

                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane" id="setting" role="tabpanel">
                                    <div class="card-body">
                                        <form class="form-horizontal form-material"
                                            action="https://test-cmolds.com/zauj_admin/public/users/391" method="POST">
                                            <input type="hidden" name="_token"
                                                value="p1wC3NiayGMMlY3sWxQqF6J6BlHk1OphgF8nCQQv"> <input type="hidden"
                                                name="_method" value="PATCH">
                                            <div class="form-group">
                                                <label class="col-sm-12">Status</label>
                                                <div class="col-sm-12">
                                                    <select class="form-control form-control-line" name="status">
                                                        <option value="0" selected>Pending</option>
                                                        <option value="1">Approved</option>
                                                        <option value="2">Rejected</option>
                                                        <option value="3">InActive</option>
                                                        <option value="4">Blocked</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <div class="col-sm-12">
                                                    <button class="btn btn-success">Update Profile</button>
                                                </div>
                                            </div>

                                        </form>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    
                    

                    <div class="tab-pane" id="booking" role="tabpanel">
                        <div class="card-body">
                            

                        </div>
                    </div>
                    <div class="tab-pane" id="departments" role="tabpanel">
                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="myTable11" class="table table-striped border">
                                    <thead>
                                        <tr class="card-success text-white">
                                            <th>S.No</th>
                                            <th>Department Name</th>
                                        </tr>
                                    </thead>
                                    <?php
                                    $num = 1; ?>
                                    <tbody>
                                        <?php $__currentLoopData = $user->company->departments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $department): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($num++); ?></td>
                                                <td><?php echo e($department->name); ?></td>

                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    

                </div>
            </div>
        </div>
    </div>
    </div>
    </div>
    </div>
    <!-- Column -->
    </div>
    <!-- Row -->
    <!-- ============================================================== -->
    <!-- End PAge Content -->
    
    <script>
        // function openorderModal(e) {
        $('.customModelOpen').on("click", function() {
            var data = $(this).data('detail');
            console.log(data);
            var modalContent = $('#orderContent');
            var table = document.createElement('table');
            table.classList.add('table', 'table-bordered');

            // Create a table header
            var thead = document.createElement('thead');
            thead.innerHTML =
                '<tr><th>S.No</th><th>Quantity</th><th>Price</th><th>Product Title</th><th>Product Subtitle</th><th>Product Image</th></tr>';
            table.appendChild(thead);

            // Create a table body
            var tbody = document.createElement('tbody');

            // Iterate through product_details and create table rows
            data.product_details.forEach(function(productDetail, index) {
                var row = document.createElement('tr');
                row.innerHTML = '<td>' + (index + 1) + '</td>' +
                    '<td>' + productDetail.quantity + '</td>' +
                    '<td>' + '$' + productDetail.product.fdp + '</td>' +
                    '<td>' + productDetail.product.title + '</td>' +
                    '<td>' + productDetail.product.subtitle + '</td>' +
                    '</td><td><a href="<?php echo e(URL::asset('+productDetail.product.image+' != null ? env('MEDIA_URL') : null)); ?>' +
                    productDetail.product.image +
                    '" target="_blank"><img  width="50px" style="height: 50px" class="img-circle" src="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' +
                    productDetail.product.image + '" /></a></td></tr> <br>';

                console.log(productDetail);
                tbody.appendChild(row);
            });

            table.appendChild(tbody);

            // Empty the modal content and append the table
            modalContent.empty();
            modalContent.append(table);

            // Show the modal
            $('#surveyModal').modal('show');
        });
    </script>
    <script async defer
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAquzgo847shlU-SpPXLZMgShv6EW9pQmw&callback=initMap"></script>
    <script>
        // Initialize and add the map
        function initMap() {
            // The location of the marker
            const lati = document.getElementById("lat").value;
            const long1 = document.getElementById("long").value;
            const uluru = {
                lat: parseFloat(lati),
                lng: parseFloat(long1)
            };

            // Create a geocoder object
            const geocoder = new google.maps.Geocoder();

            // Reverse geocode the location to get the address
            geocoder.geocode({
                location: uluru
            }, (results, status) => {
                if (status === "OK") {
                    if (results[0]) {
                        // Extract the formatted address
                        const address = results[0].formatted_address;

                        // The map, centered at the marker
                        const map = new google.maps.Map(document.getElementById("map"), {
                            zoom: 20,
                            center: uluru,
                        });

                        // The marker, positioned at the marker location
                        const marker = new google.maps.Marker({
                            position: uluru,
                            map: map,
                        });

                        // Create an info window to display the location name
                        const infowindow = new google.maps.InfoWindow({
                            content: address,
                        });

                        // Open the info window when the marker is clicked
                        marker.addListener("click", () => {
                            infowindow.open(map, marker);
                        });
                    } else {
                        console.log("No results found");
                    }
                } else {
                    console.log("Geocoder failed due to: " + status);
                }
            });
        }
    </script>

    <script>
        $(document).ready(function() {
            $('#myTable11').DataTable({
                dom: 'Bfrtip',
                lengthMenu: [
                    [5, 10, 25, 50, -1],
                    ['5 rows', '10 rows', '25 rows', '50 rows', 'Show all']
                ],
                buttons: [
                    'pageLength'
                ]
            });
        });
        $(document).ready(function() {
            $('#myTableorder').DataTable({
                dom: 'Bfrtip',
                lengthMenu: [
                    [5, 10, 25, 50, -1],
                    ['5 rows', '10 rows', '25 rows', '50 rows', 'Show all']
                ],
                buttons: [
                    'pageLength'
                ]
            });
        });
        $(document).ready(function() {
            $('#myTableLogs').DataTable({
                dom: 'Bfrtip',
                lengthMenu: [
                    [5, 10, 25, 50, -1],
                    ['5 rows', '10 rows', '25 rows', '50 rows', 'Show all']
                ],
                buttons: [
                    'pageLength'
                ]
            });
        });
        $(document).ready(function() {
            $('#myTable2').DataTable({
                dom: 'Bfrtip',
                lengthMenu: [
                    [5, 10, 25, 50, -1],
                    ['5 rows', '10 rows', '25 rows', '50 rows', 'Show all']
                ],
                buttons: [
                    'pageLength'
                ]
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/company/CompanyInfo.blade.php ENDPATH**/ ?>