<?php $__env->startSection('contain'); ?>
    
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Bright Ideas Bars</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="<?php echo e(url('/')); ?>">Home</a></li>
                    <li><a class="breadcrumb-item active" href="javascript:history.go(-1);">back</a></li>
                </ol>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <div class="tab-content">
                <div class="tab-pane fade show active" id="pending" role="tabpanel" aria-labelledby="pending-tab">
                    <div class="table-responsive">
                        <table style="font-size: smaller;width: 100%" id="pending-table" style="width:100%">
                            <div class="dataTables_filter">
                                <select style="width: 139%;margin-left: -39%;text-align: center;" class="custom-select"
                                    type="search" id="departmentSearch-pending" placeholder="Search by Department"
                                    aria-controls="approve-table">
                                    <option value="">Filter By Month</option>
                                    <option value="Jan">January</option>
                                    <option value="Feb">February</option>
                                    <option value="Mar">March</option>
                                    <option value="Apr">April</option>
                                    <option value="May">May</option>
                                    <option value="Jun">June</option>
                                    <option value="Jul">July</option>
                                    <option value="Aug">August</option>
                                    <option value="Sep">September</option>
                                    <option value="Oct">October</option>
                                    <option value="Nov">November</option>
                                    <option value="Dec">December</option>
                                </select>
                            </div>
                            <thead>
                                <tr>
                                    <th style="width: 0%;">Media</th>
                                    <th style="width: 40%;">progress bar</th>
                                    <th style="width: 20%;">Description</th>
                                    <th style="width: 0%;">Like Count</th>
                                    <th style="width: 0%;">Dislike Count</th>
                                    <th style="width: 0%;">Created At</th>
                                    
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>

                    </div>
                </div>

            </div>
        </div>
    </div>

    <script>
        $(document).ready(function() {
            var total = '<?php echo e($users); ?>';
            var pendingTable = $('#pending-table').DataTable({
                "processing": true,
                "serverSide": true,
                "ajax": {
                    "url": "<?php echo e(route('sugesstion.barchart')); ?>",
                    "type": "get"
                },
                columns: [{
                        "data": "media"
                    },
                    {
                        "data": "review_details",
                        "render": function(data, type, full, meta) {
                            // alert(JSON.stringify(full.likes));
                            // data.likes_count + data.dislikes_count
                            var percentage1 = parseFloat(full.likes / total * 100).toFixed(0) || 0;
                            var percentage3 = parseFloat(full.dislikes / total * 100).toFixed(0) ||0;
                            var percentage2 = (100 - (parseFloat(percentage1) + parseFloat(
                                percentage3))).toFixed(0) || 0;

                            return '<div class="progress" style="background-color: darkgrey;">' +
                                '<div class="progress-bar bg-primary" role="progressbar" style="width: ' +
                                percentage1 + '% ; animation: fill-1 2s linear;">' +
                                percentage1 + '%<style>' +
                                '@keyframes fill-1 { from { width: 0%; } to { width: ' +
                                percentage1 + '%; } }' +
                                '</style></div>' +
                                '<div class="progress-bar bg-secondary" role="progressbar" style="width: ' +
                                percentage2 + '%; animation: fill-2 2s linear;">' +
                                percentage2 + '%<style>' +
                                '@keyframes fill-2 { from { width: 0%; } to { width: ' +
                                percentage2 + '%; } }' +
                                '</style></div>' +
                                '<div class="progress-bar bg-danger" role="progressbar" style="width: ' +
                                percentage3 + '%; animation: fill-3 2s linear;">' +
                                percentage3 + '%<style>' +
                                '@keyframes fill-3 { from { width: 0%; } to { width: ' +
                                percentage3 + '%; } }' +
                                '</style></div>' +
                                '</div>';
                        },


                    },
                    {
                        "data": "description"
                    },
                    {
                        "data": "likes_count"
                    },
                    {
                        "data": "dislikes_count"
                    },
                    {
                        "data": "created_at"
                    }
                ],
                "paging": true, // Enable pagination
                "pageLength": 10, // Number of rows per page
                "lengthMenu": [10, 25, 50, 100]
            });

            $('#departmentSearch-pending').on('keyup change', function() {
                if (pendingTable.column(5).search() !== this.value) {
                    pendingTable.column(5).search(this.value).draw();
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/suggestion/SugesstionAnalytics.blade.php ENDPATH**/ ?>