<?php $__env->startSection('contain'); ?>
    <!-- row page titles -->
    
    <!-- ============================================================== -->
    <div class="row page-titles" style="">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Dashboard</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    
                    <li class="breadcrumb-item active">Dashboard</li>
                </ol>
                
            </div>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End row page titles -->
    <div class="row">
        <!-- column -->
        <?php if(auth()->user()->user_role == 'sub_admin'): ?>
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user-module')): ?>
                <div class="col-lg-4 col-md-6">
                    <!-- Card -->
                    <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                        
                        <div class="card-body" class="text-centar" style="background:#f5f5f5;">
                            <h4 class="card-subtitle">Users</h4>
                            <a href="<?php echo e(Route('user.index')); ?>" class="btn-outline-cyan">
                                <p class="card-text "style="margin-top: -1%;">Total Users</p>
                                <h2 class="card-title"><?php echo e($countData['user']); ?>

                                </h2>
                        </div>
                    </div>
                    </a>
                </div>
                <div class="col-lg-4 col-md-6">
                    <!-- Card -->
                    <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                        
                        <div class="card-body" class="text-centar" style="background:#f5f5f5;">
                            <h4 class="card-subtitle">Adoption Rate</h4>
                            <a href="<?php echo e(Route('user.index')); ?>" class="btn-outline-cyan">
                                <p class="card-text "style="margin-top: -1%;">Percentage</p>
                                <h2 class="card-title"><?php echo e($countData['adoption_rate']); ?>

                                </h2>
                        </div>
                    </div>
                    </a>
                </div>
                <div class="col-lg-4 col-md-6">
                    <!-- Card -->
                    <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                        
                        <div class="card-body" class="text-centar" style="background:#f5f5f5;">
                            <h4 class="card-subtitle">Log in Rate</h4>
                            <a href="<?php echo e(Route('user.index')); ?>" class="btn-outline-cyan">
                                <p class="card-text "style="margin-top: -1%;">Percentage</p>
                                <h2 class="card-title"><?php echo e($countData['login_rate']); ?>

                                </h2>
                        </div>
                    </div>
                    </a>
                </div>
                <div class="col-lg-4 col-md-6">
                    <!-- Card -->
                    <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                        
                        <div class="card-body" class="text-centar" style="background:#f5f5f5;">
                            <h4 class="card-subtitle">Retention Rate </h4>
                            <a href="<?php echo e(url('/')); ?>" class="btn-outline-cyan">
                                <p class="card-text "style="margin-top: -1%;">Percentage</p>
                                <h2 class="card-title"><?php echo e($countData['retention_rate']); ?>

                                </h2>
                        </div>
                    </div>
                    </a>
                </div>
            <?php endif; ?>
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('department-module')): ?>
                <div class="col-lg-4 col-md-6">
                    <!-- Card -->
                    <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                        
                        <div class="card-body  " class="text-centar" style="background:#f5f5f5;">
                            <h4 class="card-subtitle">Departments</h4>
                            <a href="<?php echo e(Route('department.index')); ?>" class="btn-outline-cyan">
                                <p class="card-text "style="margin-top: -1%;">Total Departments</p>
                                <h2 class="card-title"><?php echo e($countData['department']); ?>

                                </h2>
                        </div>
                    </div>
                    </a>
                </div>
            <?php endif; ?>
            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('newsfeed-module')): ?>
            <div class="col-lg-4 col-md-6">
                <!-- Card -->
                <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                    
                    <div class="card-body  " class="text-centar" style="background:#f5f5f5;">
                        <h4 class="card-subtitle">News Feeds</h4>
                        <a href="<?php echo e(Route('newsfeed.index')); ?>" class="btn-outline-cyan">
                            <p class="card-text "style="margin-top: -1%;">Total News Feeds</p>
                            <h2 class="card-title"><?php echo e($countData['newsfeed']); ?>

                            </h2>
                    </div>
                </div>
                </a>

            </div>
            <?php endif; ?>
        <?php else: ?>
            <div class="col-lg-4 col-md-6">
                <!-- Card -->
                <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                    
                    <div class="card-body" class="text-centar" style="background:#f5f5f5;">
                        <h4 class="card-subtitle">Companies</h4>
                        <a href="<?php echo e(Route('company.index')); ?>" class="btn-outline-cyan">
                            <p class="card-text "style="margin-top: -1%;">Total Companies</p>
                            <h2 class="card-title"><?php echo e($countData['company']); ?>

                            </h2>
                    </div>
                </div>
                </a>
            </div>
            <div class="col-lg-4 col-md-6">
                <!-- Card -->
                <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                    
                    <div class="card-body  " class="text-centar" style="background:#f5f5f5;">
                        <h4 class="card-subtitle">FeedBack</h4>
                        <a href="<?php echo e(Route('feedback.index')); ?>" class="btn-outline-cyan">
                            <p class="card-text "style="margin-top: -1%;">Total FeedBack</p>
                            <h2 class="card-title"><?php echo e($countData['feedback']); ?>

                            </h2>
                    </div>
                </div>
                </a>
            </div>
            <div class="col-lg-4 col-md-6">
                <!-- Card -->
                <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                    
                    <div class="card-body  " class="text-centar" style="background:#f5f5f5;">
                        <h4 class="card-subtitle">Stock Poll</h4>
                        <a href="<?php echo e(Route('poll.index')); ?>" class="btn-outline-cyan">
                            <p class="card-text "style="margin-top: -1%;">Total Stock Polls</p>
                            <h2 class="card-title"><?php echo e($countData['stockpoll']); ?>

                            </h2>
                    </div>
                </div>
                </a>
            </div>
        <?php endif; ?>
    </div>

    
    
    
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/home.blade.php ENDPATH**/ ?>