<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class React extends Model
{
    use HasFactory, SoftDeletes;
    protected $fillable = [

        'id',
        'user_id',
        'reactable_type',
        'reactable_id',
        'reaction',
    ];

    public function reactable()
    {
        return $this->morphTo();
    }
}
