<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class PermissionTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run()
    {
        $permissions = [
            // 'role-list',
            // 'role-create',
            // 'role-edit',
            // 'role-delete',
            // 'product-list',
            // 'product-create',
            // 'product-edit',
            // 'product-delete'
            'activity',
            'user-module',
            'department-module',
            'poll-module',
            'suggestion-module',
            'invite-module',
            'newsfeed-module',
            'incident-module',
            'announcement-module',
            'contectUs-module',
        ];

        foreach ($permissions as $permission) {
            Permission::create(['name' => $permission]);
        }
    }
}
