@extends('layouts.master')
@section('contain')
{{--  --}}
    <div class="row page-titles" >
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Assign Meal</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li ><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    {{-- <li class="breadcrumb-item active">User Table</li> --}}
                </ol>
                {{-- <a href="{{ Route('address.swform') }}"><button type="button"
                    class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                    New</button></a> --}}
            </div>
        </div>
    </div>
        <!-- ---------------------
            start Checkall Table
        ---------------- -->
        <form method="POST" action="{{ Route('assign.meal') }}"
        enctype="multipart/form-data">
        @csrf
        <input type="hidden" name="userid" id="user_id" value="{{$userid}}">
        <input type="hidden" name="Category_id" @isset($id)  value="{{$id}}" @endisset>
        <div class="card">
            <!-- Nav tabs -->
            <ul class="nav nav-tabs profile-tab" role="tablist">
                <li class="nav-item"> <a class="nav-link active" data-bs-toggle="tab" href="#breakfast" role="tab">Brakfast</a> </li>
                <li class="nav-item"> <a class="nav-link" data-bs-toggle="tab" href="#lunch" role="tab">Lunch</a> </li>
                <li class="nav-item"> <a class="nav-link" data-bs-toggle="tab" href="#dinner" role="tab">Dinner</a> </li>
                <div class="col-md-2">
                    <div class="form-group">
                        <select style="    background-color: ghostwhite;margin-top: 2%;" class="dropdown form-select form-select-lg mb-3" name="Category" aria-label="form-select-lg example">
                            {{-- @php
                                session()->put('Category', request('Category'));
                                $category = session()->get('Category');
                            @endphp --}}
                            <option value="">Select Category</option>
                            @foreach ($CatData as $catData)
                            <option value="{{$catData->id}},{{$userid}}" @isset($id) @selected($catData->id == $id)  @endisset multiple>{{ $catData->title }}
                            </option>
                            @endforeach
                        </select>
                        {{-- {{$category}} --}}
                    </div>
                    @if($errors->first('Category'))
                    <p class="text-danger" style="font-size: 80%" >
                        <strong>{{ $errors->first('Category') }}</strong>
                    </p>
                    @endif
                </div>
            </ul>
            <!-- Tab panes -->
            <div class="tab-content">
                <div class="tab-pane active" id="breakfast" role="tabpanel">
                    <div class="card-body">
                        <div class="table-responsive col-lg-12">
                            <h4 class="font-bold text-success">BreakFast</h4>
                            <table id=""  class="tablesaw no-wrap table-bordered table-hover table" data-tablesaw>
                                <thead>
                                    <!-- start row -->
                                    <tr class="text-white" style="background-color: gray">
                                        <th scope="col" class="border">Select</th>
                                        <th scope="col" class="border">Title</th>
                                        <th scope="col" class="border">Description</th>
                                        <th scope="col" class="border">Media</th>
                                    </tr> <!-- end row -->
                                </thead>
                                <tbody id="checkall-target">
                                    <!-- start row -->
                                    @if(isset($MealData))
                                    <?php
                                        $arrImgExtensions = ['jpg', 'PNG', 'png', 'jpeg', 'avif', 'jpg'];
                                        $arrVideoExtensions = ['mp4'];
                                        ?>
                                        @foreach ($MealData as $Mdata )
                                            {{-- {{echo $Mdata->id ;}} --}}
                                            @foreach ($Mdata->meals as $meals)
                                                <?php
                                                $mediaFilePath = $meals->media ? $meals->media : '';
                                                $arrMediaFilePath = explode('.', $mediaFilePath);
                                                $extention = $arrMediaFilePath[count($arrMediaFilePath) - 1];
                                                ?>
                                            @if ($Mdata->id ==1)
                                            <tr>
                                                <td><input value="{{$meals->id}}" name="breakfastId[]"  type="checkbox"></td>
                                                {{-- <input value="{{$Mdata->id}}" name="breakfastId[typeId]"  type="hidden"> --}}

                                                <td>{{$meals->title}}</td>
                                                <td>{{$meals->description}}</td>
                                                <td>
                                                    @if (in_array($extention, $arrImgExtensions))
                                                    {{-- dd("image") --}}
                                                    <a href="{{ URL::asset($meals->media != null ? env('MEDIA_URL') . $meals->media : null) }}"
                                                        target="_blank">
                                                        <img src="{{ $meals->media != null ? env('MEDIA_URL') . $meals->media : null }}"
                                                            alt="Not Available" width="50px" class="img-circle">
                                                    </a>
                                                    {{-- // check video file --}}
                                                @elseif (in_array($extention, $arrVideoExtensions))
                                                    <a href="{{ URL::asset($meals->media != null ? env('MEDIA_URL') . $meals->media : null) }}"
                                                        target="_blank">
                                                        <video width="150" height="70" controls>
                                                            <source
                                                                src="{{ URL::asset($meals->media != null ? env('MEDIA_URL') . $meals->media : null) }}"
                                                                meal="video/mp4">
                                                            Your browser does not support the video tag.
                                                        </video>
                                                    </a>
                                                @else
                                                    {{ 'NA' }}
                                                @endif
                                                </td>
                                            </tr> <!-- end row -->
                                            @endif
                                        @endforeach
                                    @endforeach
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <!--second tab-->
                <div class="tab-pane" id="lunch" role="tabpanel">
                    <div class="card-body">
                        <div class="table-responsive col-lg-12">
                            <h4 class="font-bold text-success">Lunch</h4>
                            <table id=""  class="tablesaw no-wrap table-bordered table-hover table" data-tablesaw>
                                <thead>
                                    <!-- start row -->
                                    <tr class="text-white" style="background-color: gray">
                                        <th scope="col" class="border">Select</th>
                                        <th scope="col" class="border">Title</th>
                                        <th scope="col" class="border">Description</th>
                                        <th scope="col" class="border">Media</th>
                                    </tr> <!-- end row -->
                                </thead>
                                <tbody id="checkall-target">
                                    <!-- start row -->
                                    {{-- {{dd($MealData)}} --}}
                                    @if(isset($MealData))
                                        <?php
                                        $arrImgExtensions = ['jpg', 'PNG', 'png', 'jpeg', 'avif', 'jpg'];
                                        $arrVideoExtensions = ['mp4'];
                                        ?>
                                        @foreach ($MealData as $Mdata )
                                            {{-- {{echo $Mdata->id ;}} --}}
                                            @foreach ($Mdata->meals as $meals)
                                                <?php
                                                $mediaFilePath = $meals->media ? $meals->media : '';
                                                $arrMediaFilePath = explode('.', $mediaFilePath);
                                                $extention = $arrMediaFilePath[count($arrMediaFilePath) - 1];
                                                ?>
                                                @if ($Mdata->id ==2)
                                                <tr>
                                                    <td><input value="{{$meals->id}}" name="lunchId[]"  type="checkbox"></td>
                                                    {{-- <input value="{{$Mdata->id}}" name="lunchId[typeId]"  type="hidden"> --}}
                                                    <td>{{$meals->title}}</td>
                                                    <td>{{$meals->description}}</td>
                                                    <td>
                                                        @if (in_array($extention, $arrImgExtensions))
                                                        {{-- dd("image") --}}
                                                        <a href="{{ URL::asset($meals->media != null ? env('MEDIA_URL') . $meals->media : null) }}"
                                                            target="_blank">
                                                            <img src="{{ $meals->media != null ? env('MEDIA_URL') . $meals->media : null }}"
                                                                alt="Not Available" width="50px" class="img-circle">
                                                        </a>
                                                        {{-- // check video file --}}
                                                    @elseif (in_array($extention, $arrVideoExtensions))
                                                        <a href="{{ URL::asset($meals->media != null ? env('MEDIA_URL') . $meals->media : null) }}"
                                                            target="_blank">
                                                            <video width="150" height="70" controls>
                                                                <source
                                                                    src="{{ URL::asset($meals->media != null ? env('MEDIA_URL') . $meals->media : null) }}"
                                                                    meal="video/mp4">
                                                                Your browser does not support the video tag.
                                                            </video>
                                                        </a>
                                                    @else
                                                        {{ 'NA' }}
                                                    @endif
                                                    </td>
                                                </tr> <!-- end row -->
                                                @endif
                                            @endforeach
                                        @endforeach
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" id="dinner" role="tabpanel">
                    <div class="card-body">
                        <div class="table-responsive col-lg-12">
                            <h4 class="font-bold text-success">Dinner</h4>
                            <table id=""  class="tablesaw no-wrap table-bordered table-hover table" data-tablesaw>
                                <thead>
                                    <!-- start row -->
                                    <tr class="text-white" style="background-color: gray">
                                        <th scope="col" class="border">Select</th>
                                        <th scope="col" class="border">Title</th>
                                        <th scope="col" class="border">Description</th>
                                        <th scope="col" class="border">Media</th>
                                    </tr> <!-- end row -->
                                </thead>
                                <tbody id="checkall-target">
                                    <!-- start row -->
                                    @if(isset($MealData))
                                    <?php
                                    $arrImgExtensions = ['jpg', 'PNG', 'png', 'jpeg', 'avif', 'jpg'];
                                    $arrVideoExtensions = ['mp4'];
                                    ?>
                                    @foreach ($MealData as $Mdata )
                                    {{-- {{echo $Mdata->id ;}} --}}
                                        @foreach ($Mdata->meals as $meals)
                                            <?php
                                            $mediaFilePath = $meals->media ? $meals->media : '';
                                            $arrMediaFilePath = explode('.', $mediaFilePath);
                                            $extention = $arrMediaFilePath[count($arrMediaFilePath) - 1];
                                            ?>
                                            @if ($Mdata->id ==3)
                                            <tr>
                                                <td><input value="{{$meals->id}}" name="dinnerId[]"  type="checkbox"></td>
                                                {{-- <input value="{{$Mdata->id}}" name="dinnerId[typeId]"  type="hidden"> --}}

                                                <td>{{$meals->title}}</td>
                                                <td>{{$meals->description}}</td>
                                                <td>
                                                    @if (in_array($extention, $arrImgExtensions))
                                                        {{-- dd("image") --}}
                                                        <a href="{{ URL::asset($meals->media != null ? env('MEDIA_URL') . $meals->media : null) }}"
                                                            target="_blank">
                                                            <img src="{{ $meals->media != null ? env('MEDIA_URL') . $meals->media : null }}"
                                                                alt="Not Available" width="50px" class="img-circle">
                                                        </a>
                                                        {{-- // check video file --}}
                                                    @elseif (in_array($extention, $arrVideoExtensions))
                                                        <a href="{{ URL::asset($meals->media != null ? env('MEDIA_URL') . $meals->media : null) }}"
                                                            target="_blank">
                                                            <video width="150" height="70" controls>
                                                                <source
                                                                    src="{{ URL::asset($meals->media != null ? env('MEDIA_URL') . $meals->media : null) }}"
                                                                    meal="video/mp4">
                                                                Your browser does not support the video tag.
                                                            </video>
                                                        </a>
                                                    @else
                                                        {{ 'NA' }}
                                                    @endif
                                                </td>
                                            </tr> <!-- end row -->
                                            @endif
                                        @endforeach
                                    @endforeach
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 m-t-20">
                <button style="margin-bottom: 2%; width: 20%;margin-left: 38%;" type="submit" class="btn btn-success me-2 text-white">Submit</button>
                </div>
            </form>
            </div>
        </div>
         <!-- ---------------------
            end Checkall Table
        ---------------- -->
        <script>
        //   Category dropdown method
              // get category
              $('select[name="Category"]').on('change', function () {
                    var id = $(this).val();
                    // alert(id)
                    // var userid = $('#user_id').val;
                    if (id) {
                        var url = "{{ route('assignLoad.table', ':id') }}";
                        url = url.replace(':id', id);
                        location.href = url;
                    }
                });
        //   Category dropdown method end
            function swalll(id)
            {
                event.preventDefault();
                swal({
                        title: "Are you sure?",
                        text: "Once deleted, you will not be able to recover this imaginary file!",
                        icon: "warning",
                        buttons: true,
                        dangerMode: true,
                    })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    }
                    else
                     {
                        // swal("Your imaginary file is safe!");
                     }
                    });
            }
        </script>
    @endsection
