<!DOCTYPE html>
<html>

<head>
    <title>Forgot Password</title>
</head>

<body style="background:#F7F7F7;">
    <div style="text-align:center;padding:30px;">
        <img src="{{ url('assets/images/logo.png') }}">
    </div>
    <div style="background:#fff;padding:20px;border-radius:10px;">
        <p>Dear {{ $user->user_name }},</p>
        <p>Welcome to our platform! We have created an account for you with the following information:</p>
        <p>
            <b>Username:</b> {{ $user->user_name }}<br>
            <b>Email:</b> {{ $user->email }}
        </p>
        <p>
            To get started, please set your preferred password by clicking on the link below:
        </p>
        <p>
            <a href="{{ url('/password/reset/' . $user['forgot_token']) }}">Set Password</a>
        </p>
        <p>
            After setting your password, you'll be able to log in to your account using the provided credentials.
        </p>
        <p>For any assistance, please contact us at <br>support@ballerznetwork.com</p>
        <p>Thanks, <br>Regards, Ballerz Network Support Team</p>
    </div>

</body>

</html>
