<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="{{ asset('images/Bara 1.png') }}">
    <title>Bizz Feed</title>

    <!-- page css -->
    <link href="{{ asset('dist/css/pages/login-register-lock.css') }}" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="{{ asset('dist/css/style.min.css') }}" rel="stylesheet">


    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
</head>

<body class="skin-default card-no-border" style="background-color: #9694aa;">
    <!-- ============================================================== -->
    <!-- Preloader - style you can find in spinners.css -->
    <!-- ============================================================== -->
    <div class="preloader">
        <div class="loader">
            <div class="loader__figure"></div>
            <p class="loader__label">Bizz Feed</p>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- Main wrapper - style you can find in pages.scss -->
    <!-- ============================================================== -->
    <section  id="wrapper" class="login-register login-sidebar"  style="background-image:url('{{ asset('images/BizzFeed-03.png') }}');width: 74%;filter: drop-shadow(46px 15px 6px black);">
        {{-- <img src="{{asset('images/mantahaimage1.png')}}" alt=""> --}}
        <div class="row">
            <div class="col-md-9">
                {{-- <div class="d-flex flex-column justify-content-end">
                    <img src="{{asset('images/Logo.svg')}}" alt="" style="width: 34%;
                    height: 25vh;
                    margin-left: 30%;
                    margin-top: 16%;" >
                    <img src="{{asset('images/logo Text.svg')}}" alt="" style="width: 33%;
                    height: 20vh;
                    margin-left: 30%;">
                </div> --}}
            </div>
            <div class="col-md-3">
                <section id="wrapper" class="login-registers login-sidebars">
                    <div style="    background-color: #4fa9a7;margin-right: -36%;" class="login-box card "
                    style="width: 29%;
                    -webkit-box-shadow: -47px 1px 61px 15px rgba(0,0,0,0.66);
                    -moz-box-shadow: -47px 1px 61px 15px rgba(0,0,0,0.66);" >
            <div class="card-body d-flex flex-column justify-content-center">
                    <form method="POST" class="form-horizontal form-material" id="loginform"
                        action="{{ route('password.update') }}">
                        @csrf
                        <input type="hidden" name="token" value="{{ $token }}">

                        <div class="d-flex justify-content-center" style="width: 100%; height: auto; padding: 5px 0px;">
                            {{-- <img src="{{ asset('images/Group 28919.png') }}" alt=""> --}}
                                {{-- style="filter: invert(63%) sepia(99%) saturate(2181%) hue-rotate(166deg) brightness(99%) contrast(95%);padding: 20px 0px;width: 200px;"> --}}
                        </div>
                        <input type="hidden" name="token" value="{{ $token }}">
                        <h3 class="box-title m-b-20">Set Password</h3>
                        <div class="form-group ">
                            <div class="col-xs-12">
                                <input id="email" type="email" style="color: white" placeholder="email"
                                    class="form-control @error('email') is-invalid @enderror" name="email"
                                    value="{{ $email ?? old('email') }}" required autocomplete="email" autofocus>

                                @error('email')
                                    <span class="invalid-feedback" style="color: #be1423;" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-xs-12">
                                <input  id="myInput" type="password" style="color: white" placeholder="password"
                                    class="form-control @error('password') is-invalid @enderror" name="password"
                                    required autocomplete="new-password">

                                @error('password')
                                    <span class="invalid-feedback" style="color: #be1423;" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-xs-12" style="margin-bottom: 8%;">

                                    <input id="myInput2" style="color: white" placeholder="confirm password" type="password"
                                        class="form-control" name="password_confirmation" required
                                        autocomplete="new-password">

                            </div>
                            <input type="checkbox" onclick="myFunction()">Show Password
                        </div>

                        <div class="form-group text-center p-b-10">
                            <div class="col-xs-12">
                                {{-- <button class="btn btn-info btn-lg w-100 text-uppercase waves-effect waves-light text-white" type="submit">Reset Password</button> --}}
                                <button class="btn btn-lg btn-success btn-rounded text-white" style="background-color:rgb(79, 169, 167);
                                border: 1px solid; width: 76%; " type="submit">
                                    {{ __('Reset Password') }}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
</div>
</div>
    </section>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- All Jquery -->
    <!-- ==============-->






    <script src="{{ asset('modules/js/jquery/dist/jquery.min.js') }}"></script>
    <!-- Bootstrap tether Core JavaScript -->
    <script src="{{ asset('modules/js/bootstrap.bundle.min.js') }}"></script>
    <script type="text/javascript">
        $(function() {
            $(".preloader").fadeOut();
        });
    </script>
    <script>
          // show password method
          function myFunction() {
            var x = document.getElementById("myInput");
            if (x.type === "password") {
                x.type = "text";
            } else {
                x.type = "password";
            }
            var y = document.getElementById("myInput2");
            if (y.type === "password") {
                y.type = "text";
            } else {
                y.type = "password";
            }
            }
        // show password method end
    </script>
</body>

</html>
