@extends('layouts.master')
@section('contain')
    <!-- row page titles -->
    {{-- box-shadow: 0px 0px 14px 3px #ffffff; background: linear-gradient(45deg, rgb(235, 202, 226), transparent);border: 1px solid #cdcdcd; --}}
    <!-- ============================================================== -->
    <div class="row page-titles" style="">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Dashboard</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    {{-- <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li> --}}
                    <li class="breadcrumb-item active">Dashboard</li>
                </ol>
                {{-- <a href="" }}"><button type="button"
                class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                New</button></a> --}}
            </div>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End row page titles -->
    <div class="row">
        <!-- column -->
        @if (auth()->user()->user_role == 'sub_admin')
            @can('user-module')
                <div class="col-lg-4 col-md-6">
                    <!-- Card -->
                    <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                        {{-- <img class="card-img-top img-responsive" src="../assets/images/big/img1.jpg" alt="Card image cap"> --}}
                        <div class="card-body" class="text-centar" style="background:#f5f5f5;">
                            <h4 class="card-subtitle">Users</h4>
                            <a href="{{ Route('user.index') }}" class="btn-outline-cyan">
                                <p class="card-text "style="margin-top: -1%;">Total Users</p>
                                <h2 class="card-title">{{ $countData['user'] }}
                                </h2>
                        </div>
                    </div>
                    </a>
                </div>
                <div class="col-lg-4 col-md-6">
                    <!-- Card -->
                    <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                        {{-- <img class="card-img-top img-responsive" src="../assets/images/big/img1.jpg" alt="Card image cap"> --}}
                        <div class="card-body" class="text-centar" style="background:#f5f5f5;">
                            <h4 class="card-subtitle">Adoption Rate</h4>
                            <a href="{{ Route('user.index') }}" class="btn-outline-cyan">
                                <p class="card-text "style="margin-top: -1%;">Percentage</p>
                                <h2 class="card-title">{{ $countData['adoption_rate'] }}
                                </h2>
                        </div>
                    </div>
                    </a>
                </div>
                <div class="col-lg-4 col-md-6">
                    <!-- Card -->
                    <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                        {{-- <img class="card-img-top img-responsive" src="../assets/images/big/img1.jpg" alt="Card image cap"> --}}
                        <div class="card-body" class="text-centar" style="background:#f5f5f5;">
                            <h4 class="card-subtitle">Log in Rate</h4>
                            <a href="{{ Route('user.index') }}" class="btn-outline-cyan">
                                <p class="card-text "style="margin-top: -1%;">Percentage</p>
                                <h2 class="card-title">{{ $countData['login_rate'] }}
                                </h2>
                        </div>
                    </div>
                    </a>
                </div>
                <div class="col-lg-4 col-md-6">
                    <!-- Card -->
                    <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                        {{-- <img class="card-img-top img-responsive" src="../assets/images/big/img1.jpg" alt="Card image cap"> --}}
                        <div class="card-body" class="text-centar" style="background:#f5f5f5;">
                            <h4 class="card-subtitle">Retention Rate </h4>
                            <a href="{{ url('/') }}" class="btn-outline-cyan">
                                <p class="card-text "style="margin-top: -1%;">Percentage</p>
                                <h2 class="card-title">{{ $countData['retention_rate'] }}
                                </h2>
                        </div>
                    </div>
                    </a>
                </div>
            @endcan
            @can('department-module')
                <div class="col-lg-4 col-md-6">
                    <!-- Card -->
                    <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                        {{-- <img class="card-img-top img-responsive" src="../assets/images/big/img1.jpg" alt="Card image cap"> --}}
                        <div class="card-body  " class="text-centar" style="background:#f5f5f5;">
                            <h4 class="card-subtitle">Departments</h4>
                            <a href="{{ Route('department.index') }}" class="btn-outline-cyan">
                                <p class="card-text "style="margin-top: -1%;">Total Departments</p>
                                <h2 class="card-title">{{ $countData['department'] }}
                                </h2>
                        </div>
                    </div>
                    </a>
                </div>
            @endcan
            @can('newsfeed-module')
            <div class="col-lg-4 col-md-6">
                <!-- Card -->
                <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                    {{-- <img class="card-img-top img-responsive" src="../assets/images/big/img1.jpg" alt="Card image cap"> --}}
                    <div class="card-body  " class="text-centar" style="background:#f5f5f5;">
                        <h4 class="card-subtitle">News Feeds</h4>
                        <a href="{{ Route('newsfeed.index') }}" class="btn-outline-cyan">
                            <p class="card-text "style="margin-top: -1%;">Total News Feeds</p>
                            <h2 class="card-title">{{ $countData['newsfeed'] }}
                            </h2>
                    </div>
                </div>
                </a>

            </div>
            @endcan
        @else
            <div class="col-lg-4 col-md-6">
                <!-- Card -->
                <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                    {{-- <img class="card-img-top img-responsive" src="../assets/images/big/img1.jpg" alt="Card image cap"> --}}
                    <div class="card-body" class="text-centar" style="background:#f5f5f5;">
                        <h4 class="card-subtitle">Companies</h4>
                        <a href="{{ Route('company.index') }}" class="btn-outline-cyan">
                            <p class="card-text "style="margin-top: -1%;">Total Companies</p>
                            <h2 class="card-title">{{ $countData['company'] }}
                            </h2>
                    </div>
                </div>
                </a>
            </div>
            <div class="col-lg-4 col-md-6">
                <!-- Card -->
                <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                    {{-- <img class="card-img-top img-responsive" src="../assets/images/big/img1.jpg" alt="Card image cap"> --}}
                    <div class="card-body  " class="text-centar" style="background:#f5f5f5;">
                        <h4 class="card-subtitle">FeedBack</h4>
                        <a href="{{ Route('feedback.index') }}" class="btn-outline-cyan">
                            <p class="card-text "style="margin-top: -1%;">Total FeedBack</p>
                            <h2 class="card-title">{{ $countData['feedback'] }}
                            </h2>
                    </div>
                </div>
                </a>
            </div>
            <div class="col-lg-4 col-md-6">
                <!-- Card -->
                <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                    {{-- <img class="card-img-top img-responsive" src="../assets/images/big/img1.jpg" alt="Card image cap"> --}}
                    <div class="card-body  " class="text-centar" style="background:#f5f5f5;">
                        <h4 class="card-subtitle">Stock Poll</h4>
                        <a href="{{ Route('poll.index') }}" class="btn-outline-cyan">
                            <p class="card-text "style="margin-top: -1%;">Total Stock Polls</p>
                            <h2 class="card-title">{{ $countData['stockpoll'] }}
                            </h2>
                    </div>
                </div>
                </a>
            </div>
        @endif
    </div>

    {{-- <h4 class="card-subtitle">Companies</h4>
<a href="{{ Route('company.index') }}" class="btn-outline-cyan">
    <p class="card-text "style="margin-top: -1%;">Total Companies</p>
    <h2 class="card-title">{{ $countData['company'] }}
    </h2> --}}
    {{-- <div class="col-lg-4 col-md-6">
            <div class="card text-center" style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                <div class="card-body  " class="text-centar" style="background: #f5f5f5;">
                    <h4 class="card-subtitle">Reported Posts</h4>
                    <a href="{{ Route('get.ReportedPost') }}" class="btn-outline-cyan">
                        <p class="card-text"style="margin-top: -1%;">Total Reported Posts</p>
                        <h2 class="card-title">{{ $countData['reportedPost'] }}</h2>
                </div>
            </div>
            </a>
        </div> --}}
    {{-- <div class="col-lg-4 col-md-6">
            <div class="card text-center"style="box-shadow: 0px 0px 14px 3px #cfcfcf;">
                <div class="card-body  " class="text-centar" style="background: #f5f5f5;">
                    <h4 class="card-subtitle">Posts</h4>
                    <a href="{{ Route('get.Posts') }}" class="btn-outline-cyan">
                        <p class="card-text"style="margin-top: -1%;">Total Posts</p>
                        <h2 class="card-title">{{ $countData['post'] }}</h2>
                </div>
            </div>
            </a>
        </div> --}}
@endsection
