<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta property="al:android:package" content="com.app.faucetsounds" />
    <meta property="al:android:url" content="applinks://docs" />
    <meta property="al:android:app_name" content="Faucet Sounds" />
    <meta property="al:ios:url" content="com.bizfeed-c://" />
    <meta property="al:ios:app_store_id" content="com.bizfeed-c" />
    <meta property="al:ios:app_name" content="Cet List" />
    <meta property="al:web:should_fallback" content="false" />
    <title>Share Track</title>

    <style>
        .response-box {
            margin: 20px 0;
        }

        .app-logo {
            text-align: center;
        }

        .container {
            height: 100vh;
        }

        .section {
            vertical-align: middle;
            display: table-cell;
            height: 90vh;
            width: 100vw;
        }
    </style>

</head>

<body class="responsive">
    <?php $user = 'client'; ?>

    <div class="container">
        <div class="section">
            <div class="app-logo">
                <img src="{{ URL::asset('images/Bara.png') }}">
            </div>

            <a href="intent:#Intent;action=schemas.com.app.cetlist.SplashActivity;end"> open Faucet Sounds</a>

            <div class="text-center response-box alert alert-danger">
                You will be redirecteed to Faucet Sounds App in a moment. <br>
                If you are not redirected automatically, <a href="#" id="click">Click here</a>
            </div>
        </div>
    </div>

    <input type="hidden" name="reset-redirection-link" value="{{ $referralCode }}">
    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>

    <script>
        function openLink() {
            var userAgent = navigator.userAgent || navigator.vendor || window.opera;

            var redirection_link = $('[name=reset-redirection-link]').val();
            if (/android/i.test(userAgent)) {
                // let url = `cetlist{{ $user }}://shareTrack?TrackId="${redirection_link}"`;
                // let url = `freedigitalproducts{{ $user }}://shareTrack?TrackId="${redirection_link}"`;
                let url = `com.bizfeed://{{ $user }}://shareTrack?TrackId="${redirection_link}"`;
                window.location = url;
            }

            if (/iPad|iPhone|iPod/.test(userAgent) && !window.MSStream) {
                // let url = `com.cmolds.cetlist-c://{{ $user }}://shareTrack?TracktId="${redirection_link}"`;
                let url = `com.bizfeed://{{ $user }}://shareTrack?TracktId="${redirection_link}"`;
                window.location = url;
            }
        }

        openLink();

        $(".redirect").click(function() {
            window.location = $("[name=link]").val();
        });

        $("#click").click(function() {
            openLink();
        });
    </script>
</body>

</html>
