<?php $__env->startSection('contain'); ?>
     
     <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <?php if(isset($profile)): ?>
            <h4 class="card-title">Update Profile</h4>
        <?php else: ?>
            <h4 class="card-title">Add Content</h4>
        <?php endif; ?>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active"><a class="text-cyan" href="<?php echo e(url('/')); ?>">Home</a></li>
                    <li class="breadcrumb-item active">
                        
                    </li>
                </ol>
            </div>
        </div>
    </div>
    
    <div class="row">
        <div class="h-100 d-inline-block">
            <div class="card card-body ">
                <div class="row">
                    <div class="col-sm-6 col-xs-6">
                        <?php if(isset($profile)): ?>
                            <form method="POST" action="<?php echo e(Route('userProfile.Update')); ?>" enctype="multipart/form-data"  data-parsley-validate enctype="multipart/form-data">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('PUT'); ?>
                         <?php else: ?>
                                <form method="POST" action="<?php echo e(Route('content.add')); ?>" enctype="multipart/form-data">
                                <?php echo csrf_field(); ?>
                        <?php endif; ?>

                        
                        <div class="form-group">
                            <label for="full_name"  class="font-bold">Full Name</label>
                          
                            <input type="text" name="full_name"
                                class="form-control <?php $__errorArgs = ['full_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="exampleInputEmail111"
                                placeholder="Enter Full Name" value="<?php echo e(auth()->user()->first_name); ?>" required data-parsley-error-message="full name is required.">
                            <?php $__errorArgs = ['full_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="invalid-feedback" role="alert">
                                    <strong><?php echo e($message); ?></strong>
                                </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div class="form-group">
                            <label for="email"  class="font-bold">Email</label>
                            
                            <input readonly type="text" name="email"
                                class="form-control <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="exampleInputEmail111"
                                placeholder="Enter Email" value="<?php echo e(auth()->user()->email); ?>">
                            <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="invalid-feedback" role="alert">
                                    <strong><?php echo e($message); ?></strong>
                                </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <?php if(isset($profile)): ?>
                            <button type="submit" class="btn btn-warning me-2 text-white">Update</button>
                        <?php else: ?>
                            <button type="submit" class="btn btn-success me-2 text-white">Submit</button>
                        <?php endif; ?>
                        
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        function myFunction() {
        var x = document.getElementById("myInput");
        if (x.type === "password") {
            x.type = "text";
        } else {
            x.type = "password";
        }
        }
        $(document).ready(function() {
            var selected = $('#choice').val();
            if(selected == "page" || selected == "web" ){
                $('#other').css({ "display": "none" });
            }else{
                $('#other').css({ "display": "block" });
            }

            $('#choice').change(function(){
                var selected_item = $(this).val()
                if(selected_item == "page" || selected_item == "web" ){
                    // $('#other').val("").hideClass('hidden');
                    $('#other').css({ "display": "none" });
                }else{
                    $('#other').css({ "display": "block" });
                    // $('#other').val(selected_item).addClass('hidden');
                }
            });
        });

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/auth/UserProfileForm.blade.php ENDPATH**/ ?>