<?php $__env->startSection('title'); ?>
    <?php echo e('Page Title Goes Here'); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('contain'); ?>
    <!-- Start Page Content -->
    <!-- ============================================================== -->
    <!-- Row -->
    
    <div class="row">
        <!-- Column -->
        
        <!-- Column -->
        <!-- Column -->
        <div class="col-lg-12 col-xlg-12 col-md-7">
            <div class="card">
                <div class="container">
                    <div class="row">
                        <div class="col">
                            <ul class="nav nav-tabs profile-tab" role="tablist">
                                <li class="nav-item font-bold">
                                    <a class="nav-link active" data-bs-toggle="tab" href="#home"
                                        role="tab">Suggestions</a>
                                </li>
                                <li class="nav-item font-bold">
                                    <a id="tab" class="nav-link" data-bs-toggle="tab" href="#incident"
                                        role="tab">Incidents</a>
                                </li>
                                <p style="color: chocolate;" class="col text-end mt-3"><strong
                                        style="color: grey">Department :</strong> <?php echo e($user->department->name ?? '-'); ?>

                                    <strong style="color: grey">User Name :</strong> <?php echo e($user->user_name ?? '-'); ?>

                                </p>
                                
                            </ul>
                        </div>
                    </div>
                </div>

                <!-- Tab panes -->
                <div class="tab-content">
                    <div class="tab-pane active" id="home" role="tabpanel">
                        <div class="card-body">
                            <div class="tab-content">
                                <div class="tab-pane active" id="profile" role="tabpanel">
                                    <div class="card-body">
                                        
                                        <style>
                                            table.dataTable tbody td {
                                                text-align: center;
                                            }
                                        </style>
                                        <div class="row">
                                            <div class="card">
                                                <div class="card-body">
                                                    <ul class="nav nav-tabs" role="tablist">
                                                        <li class="nav-item">
                                                            <a class="nav-link active" id="pending-tab" data-bs-toggle="tab"
                                                                href="#pending" role="tab" aria-controls="pending"
                                                                aria-selected="false">Pending</a>
                                                        </li>
                                                        <li class="nav-item">
                                                            <a class="nav-link " id="approved-tab" data-bs-toggle="tab"
                                                                href="#approved" role="tab" aria-controls="approved"
                                                                aria-selected="true">Approved</a>
                                                        </li>
                                                        <li class="nav-item">
                                                            <a class="nav-link" id="reject-tab" data-bs-toggle="tab"
                                                                href="#reject" role="tab" aria-controls="reject"
                                                                aria-selected="false">Rejected</a>
                                                        </li>
                                                    </ul>
                                                    <div class="tab-content">
                                                        <div class="tab-pane fade " id="approved" role="tabpanel"
                                                            aria-labelledby="approved-tab">
                                                            <div class="table-responsive">
                                                                <table style="font-size: smaller;width: 100%" id="myTable11"
                                                                    class="table table-striped border dataTable no-footer"
                                                                    style="width:100%">
                                                                    <thead>
                                                                        <tr>
                                                                            <th>S.No</th>
                                                                            <th>Description</th>
                                                                            <th>Like Count</th>
                                                                            <th>Dislike Count</th>
                                                                            <th>Media</th>
                                                                            <th>Created At</th>
                                                                            <th>Status</th>
                                                                        </tr>
                                                                    </thead>
                                                                    <?php
                                                                        $num = 1;
                                                                    ?>
                                                                    <tbody>
                                                                        <?php $__currentLoopData = $user->approvedSuggestions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Psuggestion): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                            <tr>
                                                                                <td><?php echo e($num++); ?></td>
                                                                                <td><?php echo e($Psuggestion->description); ?></td>
                                                                                <td><?php echo e($Psuggestion->likes_count ?? 0); ?> <i
                                                                                        class="fa fa-thumbs-up"></i></td>
                                                                                <td><?php echo e($Psuggestion->dislikes_count ?? 0); ?><i
                                                                                        class="fas fa-thumbs-down"></i></td>
                                                                                <td>
                                                                                    <?php if($Psuggestion->media_type == 'video'): ?>
                                                                                        <a href="<?php echo e(URL::asset($Psuggestion->media != null ? env('MEDIA_URL') . $Psuggestion->media : 'images/placeholderprofile.png')); ?>"
                                                                                            target="_blank">
                                                                                            <video
                                                                                                src="<?php echo e(URL::asset($Psuggestion->media != null ? env('MEDIA_URL') . $Psuggestion->media : 'images/placeholderprofile.png')); ?>"
                                                                                                controls width="100">
                                                                                                Your browser does not
                                                                                                support the video tag.
                                                                                            </video>
                                                                                        </a>
                                                                                    <?php else: ?>
                                                                                        <a href="<?php echo e(URL::asset($Psuggestion->media != null ? env('MEDIA_URL') . $Psuggestion->media : 'images/placeholderprofile.png')); ?>"
                                                                                            target="_blank">
                                                                                            <img src="<?php echo e($Psuggestion->media != null ? env('MEDIA_URL') . $Psuggestion->media : asset('images/placeholderprofile.png')); ?>"
                                                                                                class="img-circle"
                                                                                                style="    height: 50px; width: 50px;" />
                                                                                        </a>
                                                                                    <?php endif; ?>
                                                                                </td>
                                                                                <td><?php echo e($Psuggestion->created_at->format('Y-m-d')); ?>

                                                                                </td>
                                                                                <td><span
                                                                                        class="badge badge-success">Approved</span>
                                                                                </td>
                                                                            </tr>
                                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                    </tbody>
                                                                </table>

                                                            </div>
                                                        </div>
                                                        <div class="tab-pane fade show active" id="pending"
                                                            role="tabpanel" aria-labelledby="pending-tab">
                                                            <div class="table-responsive">
                                                                <table style="font-size: smaller;width: 100%" id="myTable3"
                                                                    class="table table-striped border dataTable no-footer"
                                                                    style="width:100%">
                                                                    <thead>
                                                                        <tr>
                                                                            <th>S.No</th>
                                                                            <th>Description</th>
                                                                            <th>Like Count</th>
                                                                            <th>Dislike Count</th>
                                                                            <th>Media</th>
                                                                            <th>Created At</th>
                                                                            <th>Action</th>
                                                                        </tr>
                                                                    </thead>
                                                                    <?php
                                                                        $num = 1;
                                                                    ?>
                                                                    <tbody>
                                                                        <?php $__currentLoopData = $user->pendingSuggestions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Psuggestion): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                            <tr>
                                                                                <td><?php echo e($num++); ?></td>
                                                                                <td><?php echo e($Psuggestion->description); ?></td>
                                                                                <td><?php echo e($Psuggestion->likes_count ?? 0); ?> <i
                                                                                        class="fa fa-thumbs-up"></i></td>
                                                                                <td><?php echo e($Psuggestion->dislikes_count ?? 0); ?><i
                                                                                        class="fas fa-thumbs-down"></i>
                                                                                </td>
                                                                                <td>
                                                                                    <?php if($Psuggestion->media_type == 'video'): ?>
                                                                                        <a href="<?php echo e(URL::asset($Psuggestion->media != null ? env('MEDIA_URL') . $Psuggestion->media : 'images/placeholderprofile.png')); ?>"
                                                                                            target="_blank">
                                                                                            <video
                                                                                                src="<?php echo e(URL::asset($Psuggestion->media != null ? env('MEDIA_URL') . $Psuggestion->media : 'images/placeholderprofile.png')); ?>"
                                                                                                controls width="100">
                                                                                                Your browser does not
                                                                                                support the video tag.
                                                                                            </video>
                                                                                        </a>
                                                                                    <?php else: ?>
                                                                                        <a href="<?php echo e(URL::asset($Psuggestion->media != null ? env('MEDIA_URL') . $Psuggestion->media : 'images/placeholderprofile.png')); ?>"
                                                                                            target="_blank">
                                                                                            <img src="<?php echo e($Psuggestion->media != null ? env('MEDIA_URL') . $Psuggestion->media : asset('images/placeholderprofile.png')); ?>"
                                                                                                class="img-circle"
                                                                                                style="    height: 50px; width: 50px;" />
                                                                                        </a>
                                                                                    <?php endif; ?>
                                                                                </td>
                                                                                <td><?php echo e($Psuggestion->created_at->format('Y-m-d')); ?>

                                                                                </td>
                                                                                
                                                                                <td style="width: 100%">
                                                                                    <button data-bs-toggle="modal"
                                                                                        data-bs-target="#responsive-modal"
                                                                                        title="Reject suggestion"
                                                                                        onclick="populateModal(<?php echo $Psuggestion->id; ?>)"
                                                                                        class="btn-danger rounded-circle"><i
                                                                                            class="fa fa-times"></i></button>
                                                                                    <button title="Approve suggestion"
                                                                                        onclick="approveSuggestion(<?php echo $Psuggestion->id; ?>)"
                                                                                        class="btn-success rounded-circle"><i
                                                                                            class="fa fa-check"></i></button>

                                                                                </td>
                                                                            </tr>
                                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                        <div class="tab-pane fade" id="reject" role="tabpanel"
                                                            aria-labelledby="reject-tab">
                                                            <div class="table-responsive">
                                                                <table style="font-size: smaller;width: 100%"
                                                                    id="myTablemeal"
                                                                    class="table table-striped border dataTable no-footer"
                                                                    style="width:100%">
                                                                    <thead>
                                                                        <tr>
                                                                            <th>S.No</th>
                                                                            <th>Description</th>
                                                                            <th>Like Count</th>
                                                                            <th>Dislike Count</th>
                                                                            <th>reason</th>
                                                                            <th>Media</th>
                                                                            <th>Created At</th>
                                                                            <th>Status</th>
                                                                        </tr>
                                                                    </thead>
                                                                    <?php
                                                                        $num = 1;
                                                                    ?>
                                                                    <tbody>
                                                                        <?php $__currentLoopData = $user->rejectedSuggestions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Psuggestion): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                            <tr>
                                                                                <td><?php echo e($num++); ?></td>
                                                                                <td><?php echo e($Psuggestion->description); ?></td>
                                                                                <td><?php echo e($Psuggestion->likes_count ?? 0); ?> <i
                                                                                        class="fa fa-thumbs-up"></i></td>
                                                                                <td><?php echo e($Psuggestion->dislikes_count ?? 0); ?>

                                                                                    <i class="fas fa-thumbs-down"></i>
                                                                                </td>
                                                                                <td><?php echo e($Psuggestion->reason ?? '-'); ?> </td>
                                                                                <td>
                                                                                    <?php if($Psuggestion->media_type == 'video'): ?>
                                                                                        <a href="<?php echo e(URL::asset($Psuggestion->media != null ? env('MEDIA_URL') . $Psuggestion->media : 'images/placeholderprofile.png')); ?>"
                                                                                            target="_blank">
                                                                                            <video
                                                                                                src="<?php echo e(URL::asset($Psuggestion->media != null ? env('MEDIA_URL') . $Psuggestion->media : 'images/placeholderprofile.png')); ?>"
                                                                                                controls width="100">
                                                                                                Your browser does not
                                                                                                support the video tag.
                                                                                            </video>
                                                                                        </a>
                                                                                    <?php else: ?>
                                                                                        <a href="<?php echo e(URL::asset($Psuggestion->media != null ? env('MEDIA_URL') . $Psuggestion->media : 'images/placeholderprofile.png')); ?>"
                                                                                            target="_blank">
                                                                                            <img src="<?php echo e($Psuggestion->media != null ? env('MEDIA_URL') . $Psuggestion->media : asset('images/placeholderprofile.png')); ?>"
                                                                                                class="img-circle"
                                                                                                style="    height: 50px; width: 50px;" />
                                                                                        </a>
                                                                                    <?php endif; ?>
                                                                                </td>
                                                                                <td><?php echo e($Psuggestion->created_at->format('Y-m-d')); ?>

                                                                                </td>
                                                                                <td><span
                                                                                        class="badge badge-danger">Rejected</span>
                                                                                </td>
                                                                            </tr>
                                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                    </tbody>
                                                                </table>

                                                            </div>
                                                        </div>
                                                    </div>


                                                    

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!--second tab-->
                    <!-- sample modal content -->
                    <div class="modal" id="exampleModal" tabindex="-1" role="dialog"
                        aria-labelledby="exampleModalLabel1">
                        <div class="modal-dialog " role="document">
                            <div class="modal-content" style="background-color: darkgray;border-radius: 5%;">
                                <div class="modal-header">
                                    <h4 class="font-bold" id="exampleModalLabel1">Ad Media
                                    </h4>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                        aria-label="Close"><span aria-hidden="true"></span></button>
                                </div>
                                <div class="modal-body">
                                    <div class="table-responsive m-t-40">
                                        <table id="" class="table table-striped">
                                            <thead>
                                                <tr class="text-white" style="background-color: gray">
                                                    <th>S.No</th>
                                                    <th>Thumbnail</th>
                                                    
                                                    
                                                </tr>
                                            </thead>
                                            <tbody class="mydata">

                                                <tr>
                                                    <td>0</td>
                                                    <td
                                                        value="https://images.unsplash.com/photo-1604964432806-254d07c11f32?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxzZWFyY2h8M3x8ZGV2ZWxvcGVyfGVufDB8fDB8fA%3D%3D&auto=format&fit=crop&w=700&q=60">
                                                        image</td>
                                                    <td>null</td>
                                                </tr>
                                                <tr>
                                                    <td>1</td>
                                                    <td
                                                        value="http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/WeAreGoingOnBullrun.mp4">
                                                        video</td>
                                                    <td>null</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                
                                <button type="button" class="btn btn-default text-dark"
                                    data-bs-dismiss="modal">Close</button>
                                
                            </div>
                        </div>
                    </div>
                    <!-- /.modal -->
                    <div class="tab-pane" id="incident" role="tabpanel">
                        <div class="card-body">
                            <div class="table-responsive m-t-40">
                                <table id="myTable2" class="table table-striped border">
                                    <thead>
                                        <tr>
                                            <th>S.No</th>
                                            <th>Name</th>
                                            <th>Email</th>
                                            <th>Phon</th>
                                            <th>Date</th>
                                            <th>Time</th>
                                            <th>Location</th>
                                            <th>Description</th>
                                            <th>Media</th>
                                            <th>Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            $num = 1;
                                        ?>
                                        <?php $__currentLoopData = $user->incident; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $incid): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($num++); ?></td>
                                                <td><?php echo e($incid->name ?? '-'); ?></td>
                                                <td><?php echo e($incid->email ?? '-'); ?></td>
                                                <td><?php echo e($incid->phone ?? '-'); ?></td>
                                                <td><?php echo e($incid->date ?? '-'); ?></td>
                                                <td><?php echo e($incid->time ?? '-'); ?></td>
                                                <td><?php echo e($incid->location ?? '-'); ?></td>
                                                <td><?php echo e($incid->description ?? '-'); ?></td>
                                                <td>
                                                    <a href="<?php echo e(URL::asset($incid->media != null ? env('MEDIA_URL') . $incid->media : 'images/placeholderprofile.png')); ?>"
                                                        target="_blank">
                                                        <img src="<?php echo e($incid->media != null ? env('MEDIA_URL') . $incid->media : asset('images/placeholderprofile.png')); ?>"
                                                            class="img-circle" style="    height: 50px; width: 50px;" />
                                                    </a>
                                                </td>
                                                <td>
                                                    <span class="badge"
                                                        style="background-color:
                                                        <?php switch($incid->status):
                                                            case ('submitted'): ?> #f01e1e <?php break; ?>
                                                            <?php case ('received'): ?> #ffd65b <?php break; ?>
                                                            <?php case ('on the case'): ?> #ffbf00 <?php break; ?>
                                                            <?php case ('in progress'): ?> #4da64d <?php break; ?>
                                                            <?php case ('resolved'): ?> #10cc10 <?php break; ?>
                                                            <?php default: ?> '' /* Default color if status doesn't match any case */
                                                        <?php endswitch; ?>">
                                                        <?php echo e($incid->status ?? '-'); ?>

                                                    </span>
                                                </td>


                                                <td>
                                                    <a href="#" data-bs-toggle="modal"
                                                        data-bs-target="#responsive-modal-incident" title="Update Status"
                                                        onclick="populateModalIncident('<?php echo e($incid->id); ?>', '<?php echo e($incid->status); ?>')"
                                                        class="btn btn-info" role="button"><i
                                                            class="fa fa-edit"></i></a>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    <div class="tab-pane" id="highlight" role="tabpanel">
                        <div class="card-body">
                            <div class="table-responsive m-t-40">
                                <table id="myTable3" class="table table-striped border">
                                    <thead>
                                        <tr class="text-white" style="background-color: gray">
                                            <th>S.No</th>
                                            <th>Description</th>
                                            <th>Media</th>
                                            <th>created_at</th>
                                        </tr>
                                    </thead>
                                    <?php
                                        $num = 1;
                                    ?>
                                    <tbody>
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    <script src="<?php echo e(asset('modules/amazingslider/amazingslider.js')); ?>"></script>
                    <link rel="stylesheet" type="text/css"
                        href="<?php echo e(asset('modules/amazingslider/amazingslider-1.css')); ?>">
                    <script src="<?php echo e(asset('modules/amazingslider/initPostSlider.js')); ?>"></script>
                    <div class="tab-pane" id="customerDevice" role="tabpanel">
                        <div class="card-body">
                            <div class="table-responsive m-t-40">
                                <table id="myTable11" class="table table-striped border">
                                    <thead>
                                        <tr style="background-color: #77eded;">
                                            <th>Device Type</th>
                                            <th>Device Brand</th>
                                            <th>Device os</th>
                                            <th>App Version</th>
                                            <th>is notify</th>
                                            <th>udid</th>

                                        </tr>
                                    </thead>
                                    <tbody>

                                        
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
    </div>
    </div>
    <!-- Column -->
    </div>
    <div id="responsive-modal-incident" class="modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
        aria-hidden="true">
        <!-- Modal content -->
        <div class="modal-dialog">
            <div class="modal-content topbar" style="height: 40vh;">
                <div class="modal-header" style="padding: 2%;">
                    <h4 class="font-bold">Update Status</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form action="<?php echo e(Route('incident.status')); ?>" method="get">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body" style="padding: 14px;">
                        <div class="form-group">
                            
                            <select required class="form-control form-select" id="message-text" name="status">
                                <option value="submitted">submitted</option>
                                <option value="received">received</option>
                                <option value="in progress">in progress</option>
                                <option value="on the case">on the case</option>
                                <option value="resolved">resolved</option>
                            </select>
                            <input type="hidden" name="incidentId" id="suggestionId">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default text-dark" data-bs-dismiss="modal"
                            aria-label="Close">Close</button>

                        <button type="submit" class="btn btn-danger waves-effect waves-light text-white">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div id="responsive-modal" class="modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
        aria-hidden="true">
        <!-- Modal content -->
        <div class="modal-dialog">
            <div class="modal-content topbar">
                <div class="modal-header" style="padding: 2%;">
                    <h4 class="font-bold">Enter Reason</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form action="<?php echo e(Route('suggestion.status')); ?>" method="get">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body" style="padding: 14px;">
                        <div class="form-group">
                            <label for="message-text" class="form-label">Reason:</label>
                            <textarea required class="form-control" id="message-text" maxlength="255" name="reason"></textarea>
                            <input type="hidden" name="suggestionId" id="suggestion_Id">
                            <input type="hidden" name="status" value="reject">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default text-dark" data-bs-dismiss="modal"
                            aria-label="Close">Close</button>

                        <button type="submit" class="btn btn-danger waves-effect waves-light text-white">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- Row -->
    <!-- ============================================================== -->
    <!-- End PAge Content -->
    
    <script async defer
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAquzgo847shlU-SpPXLZMgShv6EW9pQmw&callback=initMap"></script>
    <script>
        function populateModalIncident(suggestionId, status) {
            var modal = new bootstrap.Modal(document.getElementById('responsive-modal-incident'));
            $('#suggestionId').val(suggestionId);
            $('#message-text').val(status); // Pre-select the option matching the status
            // modal.show();
        }

        function approveSuggestion(suggestionId) {
            var baseUrl = '<?php echo e(route('suggestion.status', [':suggestionId', 'approve'])); ?>';
            baseUrl = baseUrl.replace(':suggestionId', suggestionId);

            swal({
                title: 'Are you sure?',
                text: 'You are about to approve this suggestion.',
                icon: 'warning',
                buttons: {
                    cancel: 'No, cancel!',
                    confirm: 'Yes, approve it!'
                },
                dangerMode: true
            }).then((isConfirmed) => {
                if (isConfirmed) {
                    // Perform the approve action here, e.g., submit a form or make an AJAX request
                    window.location.href = baseUrl;
                }
            });
        }


        function populateModal(suggestionId) {
            var form = document.getElementById('my-form');
            var reasonInput = document.getElementById('message-text').value;

            var modal = new bootstrap.Modal(document.getElementById('responsive-modal'));
            $('#suggestion_Id').val(suggestionId);
            // modal.show();
        }
        // Initialize and add the map
        // function initMap() {
        //     // The location of Uluru
        //     const lati = document.getElementById("lat").value;
        //     const long1 = document.getElementById("long").value;
        //     const uluru = {
        //         lat: parseFloat(lati),
        //         lng: parseFloat(long1)
        //     };
        //     // The map, centered at Uluru
        //     const map = new google.maps.Map(document.getElementById("map"), {
        //         zoom: 20,
        //         center: uluru,
        //     });
        //     // The marker, positioned at Uluru
        //     const marker = new google.maps.Marker({
        //         position: uluru,
        //         map: map,
        //     });
        // }
    </script>
    <script>
        function setMsg(e) {
            let dataList = '';
            var s_no = 1;
            let mydata = $(e).attr("data-msg");
            if (mydata.length > 0) {
                mydata = eval(mydata);
                $.each(mydata, function(key, value) {
                    if (value.thumbnail) {
                        let thumbnail = '<a href="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' + value.thumbnail +
                            '" target="_blank"><img width="50px" style ="height: 50px" class="img-circle" src="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' +
                            value.thumbnail +
                            '" /></a>';
                        dataList += '<tr><td>' + s_no++ + '</td><td>' + thumbnail + '</td></tr><br>';
                    }
                });
            } else {
                dataList = '<tr><td colspan="2"> No Data </td></tr>';
            }
            console.log(dataList);
            $('.mydata').empty();
            $('.mydata').html(dataList);
            // $('#tdMdlMsg').html($(e).attr("data-msg"));
        }
        // popup method end

        function setid(e) {
            let dataList = '';
            var s_no = 1;
            let Type = $(e).attr("data-mealType");
            mealType = (JSON.parse(Type))
            console.log(mealType)
            let category = $(e).attr("data-mealCategory");
            mealcategory = (JSON.parse(category))
            let mealitem = $(e).attr("data-mealitem");
            mealitem = (JSON.parse(mealitem))
            console.log(mealcategory)
            console.log(mealitem)
            $.each(mealitem, function(key, value) {
                $('#mealName').text(value['name']);
                $('#mealQuantity').text(value['quantity']);
                $('#mealCalories').text(value['calories']);
                $('#mealMacros').text(value['macros']);
                $('#mealWeight').text(value['weight']);
            })
            // $.each(mealType, function(key, value) {
            var images = ['jpg', 'PNG', 'png', 'jpeg', 'avif', 'jpg'];
            var videos = ['mp4'];
            // alert(mealType['title'])
            var ext = mealType['media'].split('.');
            console.log(ext[1]);
            if (images.includes(ext[1])) {
                title =
                    '<div class="d-flex align-items-center justify-content-between border-bottom p-3"><div class="d-flex"><h4 style="font-size: larger;">Meal Type : <span class="text-success">' +
                    mealType['title'] +
                    '</span></h4></div><div class="d-flex"><a target="_blank" href="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' +
                    mealType['media'] + '"><img class="image-circle" src="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' + mealType[
                        'media'] + '"alt="" width="150" /></a></div></div>';
            } else {
                title =
                    '<div class="d-flex align-items-center justify-content-between border-bottom p-3"><div class="d-flex"><h4 style="font-size: larger;">Meal Type : <span class="text-success">' +
                    mealType['title'] +
                    '</span></h4></div><div class="d-flex"><a target="_blank" href="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' +
                    mealType['media'] + '"><video class="image-circle" src="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' + mealType[
                        'media'] + '"alt="" width="150" ></video></a></div></div>';
            }
            if (images.includes(ext[1])) {
                category =
                    '<div class="d-flex align-items-center justify-content-between border-bottom p-3"><div class="d-flex"><h4 style="font-size: larger;">Meal Category : <span class="text-success">' +
                    mealcategory['title'] +
                    '</span></h4></div><div class="d-flex"><a target="_blank" href="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' +
                    mealcategory['media'] + '"><img class="image-circle" src="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' +
                    mealcategory['media'] + '"alt="" width="150" /></a></div></div>';
            } else {
                Category =
                    '<div class="d-flex align-items-center justify-content-between border-bottom p-3"><div class="d-flex"><h4 style="font-size: larger;">Meal Category : <span class="text-success">' +
                    mealcategory['title'] +
                    '</span></h4></div><div class="d-flex"><a target="_blank" href="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' +
                    mealcategory['media'] + '"><video class="image-circle" src="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' +
                    mealcategory['media'] + '"alt="" width="150" ></video></a></div></div>';
            }
            $('#meal_types').empty();
            $('#meal_types').append(title);
            $('#meal_category').empty();
            $('#meal_category').append(category);
            // })
            // let type = $(e).attr("data-type");
            // if (id) {
            //     var URL = "/user/userMealDetail" + '/' + id + '/'+type;
            //     $.ajax({
            //         url: URL,
            //         type: "GET",
            //         dataType: "json",
            //         success: function(data) {
            //             var images = ['jpg', 'PNG', 'png', 'jpeg', 'avif', 'jpg'];
            //             var videos = ['mp4'];
            //             if (data.length > 0) {
            //                 var title = '';
            //                 $.each(data[0]['mealinfo'], function(key, value) {
            //                     var ext = value['media'].split('.');
            //                     console.log(ext[1]);
            //                     if(images.includes(ext[1])){
            //                         title += '<div class="d-flex align-items-center justify-content-between border-bottom p-3"><div class="d-flex"><h4 style="font-size: larger;">Meal Type : <span class="text-success">'+value['title']+'</span></h4></div><div class="d-flex"><a target="_blank" href="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' + value['media'] + '"><img class="image-circle" src="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' + value['media'] + '"alt="" width="150" /></a></div></div>';
            //                     }else{
            //                         title += '<div class="d-flex align-items-center justify-content-between border-bottom p-3"><div class="d-flex"><h4 style="font-size: larger;">Meal Type : <span class="text-success">'+value['title']+'</span></h4></div><div class="d-flex"><a target="_blank" href="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' + value['media'] + '"><video class="image-circle" src="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' + value['media'] + '"alt="" width="150" ></video></a></div></div>';
            //                     }
            //                 })
            //                 $.each(mealitem, function(key, value) {
            //                         alert(mealitem)
            //                     $('#mealName').text(value['name']);
            //                     $('#mealQuantity').text(value['quantity']);
            //                     $('#mealCalories').text(value['calories']);
            //                     $('#mealMacros').text(value['macros']);
            //                     $('#mealWeight').text(value['weight']);
            //                 })
            //                 $('#meal_types').empty();
            //                 $('#meal_types').append(title);
            //             } else {
            //                 $('select[name="wellness_program_category_id"]').append(
            //                     '<option value=""> No Category </option>');
            //             }
            //         }
            //     })
            // } else {
            //     console.log("not responce")
            //     $('select[name="wellness_program_category_id"]').empty();
            // }
            console.log(dataList);
            $('.mydata').empty();
            $('.mydata').html(dataList);
            // $('#tdMdlMsg').html($(e).attr("data-msg"));
        }
        // popup method
        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary file!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });
        }

        function deleteuserMeal(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary file!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var URL = "/user/userMealDelete" + '/' + id;
                        $.ajax({
                            url: URL,
                            type: "GET",
                            dataType: "json",
                            success: function(data) {
                                toastr.success("<?php echo e('Meal Deleted Successfully'); ?>");
                            }
                        })
                        var formId = "delete-tr-" + id;
                        document.getElementById(formId).remove();

                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });
        }
        $(document).ready(function() {
            $('#myTable11').DataTable({
                dom: 'Bfrtip',
                lengthMenu: [
                    [5, 10, 25, 50, -1],
                    ['5 rows', '10 rows', '25 rows', '50 rows', 'Show all']
                ],
                buttons: [
                    'pageLength'
                ]
            });
        });
        $(document).ready(function() {
            $('#myTable2').DataTable({
                dom: 'Bfrtip',
                lengthMenu: [
                    [5, 10, 25, 50, -1],
                    ['5 rows', '10 rows', '25 rows', '50 rows', 'Show all']
                ],
                buttons: [
                    'pageLength'
                ]
            });
        });
        $(document).ready(function() {
            $('#myTable3').DataTable({
                dom: 'Bfrtip',
                lengthMenu: [
                    [5, 10, 25, 50, -1],
                    ['5 rows', '10 rows', '25 rows', '50 rows', 'Show all']
                ],
                buttons: [
                    'pageLength'
                ]
            });
        });
        $(document).ready(function() {
            $('#myTablemeal').DataTable({
                dom: 'Bfrtip',
                lengthMenu: [
                    [5, 10, 25, 50, -1],
                    ['5 rows', '10 rows', '25 rows', '50 rows', 'Show all']
                ],
                buttons: [
                    'pageLength'
                ]
            });
        });
    </script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/Users/userInfo.blade.php ENDPATH**/ ?>