<?php $__env->startSection('contain'); ?>
    <div class="row page-titles"
        >
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Feedback Management</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="<?php echo e(url('/')); ?>">Home</a></li>
                    
                </ol>
                
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            
            <div class="table-responsive">
                <table id="myTable" class="table table-striped border">
                    <thead>
                        <tr class="text-white" style="background-color: gray">
                            <th>S.No</th>
                            <th>Company Name</th>
                            <th>User Name</th>
                            <th>Subject</th>
                            <th>Message</th>
                            <th class="action-hide">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                            $num = 1;
                        ?>
                        <?php $__currentLoopData = $feedbacks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $feedback): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($num++); ?></td>
                                <td><?php echo e($feedback->company??"-"); ?></td>
                                <td><?php echo e($feedback->name ??'-'); ?></td>
                                <td><?php echo e($feedback->subject??'-'); ?></td>
                                <td><?php echo e($feedback->message ??'-'); ?></td>
                                <td class="text-canter">
                                        <a title="delete" class="btn" onclick="swalll(<?php echo e($feedback->id); ?>)"><i
                                                class="fa fa-trash" style="font-size: 20px;color: crimson;"></i></a>
                                        <form id="delete-form-<?php echo e($feedback->id); ?>"
                                            action="<?php echo e(route('feedback.delete', $feedback->id)); ?>" method="POST"
                                            class="d-none">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                    </form>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!-- sample modal content -->
    <div class="modal" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel1">
        <div class="modal-dialog " role="document">
            <div class="modal-content" style="background-color: darkgray;border-radius: 5%;">
                <div class="modal-header">
                    <h4 class="font-bold" id="exampleModalLabel1">Post Media
                    </h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true"></span></button>
                </div>
                <div class="modal-body">
                    <div class="table-responsive">
                        <table id="" class="table table-striped">
                            <thead>
                                <tr class="text-white" style="background-color: gray">
                                    <th>S.No</th>
                                    <th>Media</th>
                                    
                                </tr>
                            </thead>
                            <tbody class="mydata">

                                <tr>
                                    <td>0</td>
                                    <td
                                        value="https://images.unsplash.com/photo-1604964432806-254d07c11f32?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxzZWFyY2h8M3x8ZGV2ZWxvcGVyfGVufDB8fDB8fA%3D%3D&auto=format&fit=crop&w=700&q=60">
                                        image</td>
                                    <td>null</td>
                                </tr>
                                <tr>
                                    <td>1</td>
                                    <td
                                        value="http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/WeAreGoingOnBullrun.mp4">
                                        video</td>
                                    <td>null</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
                
                <button type="button" class="btn btn-default text-dark" data-bs-dismiss="modal">Close</button>
                
            </div>
        </div>
    </div>
    <!-- /.modal -->
    <script>
        // popup method
        function setMsg(e) {
            let dataList = '';
            var s_no = 1;
            let mydata = $(e).attr("data-msg");
            if (mydata.length > 0) {
                mydata = eval(mydata);
                $.each(mydata, function(key, value) {
                    // alert(JSON.stringify(value));
                    // Get the file extension from the media path
                    // var fileExtension = value.media.split('.').pop();
                    if (value.type == 'image') {
                        dataList += '<tr><td>' + s_no++ +
                            '</td><td><a href="<?php echo e(URL::asset('+value.media+' != null ? env('MEDIA_URL') : null)); ?>' +
                            value.media +
                            '" target="_blank"><img  width="50px" height="50" class="img-circle" src="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' +
                            value.media + '" /></a></td></tr> <br>';
                    } else if (value.type == 'video') {
                        dataList += '<tr><td>' + s_no++ +
                            '</td><td><a href="<?php echo e(URL::asset('+value.media+' != null ? env('MEDIA_URL') : null)); ?>' +
                            value.media + '" target="_blank"><video src="<?php echo e(URL::asset(env('MEDIA_URL'))); ?>' +
                            value.media +
                            '" controls width="110" height="60" style="margin-top: 11px;"></video></a></td></tr> <br>';
                    }
                });
            } else {
                // dataList = '<tr><td colspan="3"> No Data </td></tr>';
            }
            console.log(dataList);
            $('.mydata').empty();
            $('.mydata').html(dataList);
            // $('#tdMdlMsg').html($(e).attr("data-msg"));
        }
        // popup method
        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary field !",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });


            // alert(id);
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/feedback/FeedBackIndex.blade.php ENDPATH**/ ?>