<?php $__env->startSection('contain'); ?>
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">News Feed Management</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="<?php echo e(url('/')); ?>">Home</a></li>
                    
                </ol>
                <a href="<?php echo e(Route('newsfeeds.overview')); ?>"><button type="button"
                        class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="icons-Bar-Chart3"></i> Data Overview</button></a>
                <a href="<?php echo e(Route('newsfeeds.create')); ?>"><button type="button"
                        class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                        New</button></a>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            
            <div class="table-responsive">
                <table id="myTable" class="table table-striped border">
                    <thead>
                        <tr class="text-white" style="background-color: gray">
                            <th>S.No</th>
                            <th>Description</th>
                            <th>Created At</th>
                            
                            <th class="action-hide">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                            $num = 1;
                        ?>
                        <?php $__currentLoopData = $newsfeeds; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $newsfeed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($num++); ?></td>
                                <td><?php echo $newsfeed->description; ?></td>
                                <td><?php echo e($newsfeed->created_at->format('d-m-Y')); ?>

                                </td>
                                <td class="text-canter">
                                    <a title="analytics" href="<?php echo e(Route('newsfeed.analyticsview', $newsfeed->id)); ?>"><i
                                            class="fas fa-chart-line  btn btn-success"></i></a>
                                    <a type="button" href="<?php echo e(Route('newsfeed.show', $newsfeed->id)); ?>">
                                        <i title="view media" class="fas fa-eye btn btn-info"></i>
                                    </a>
                                        <a href="<?php echo e(Route('newsfeed.edit', $newsfeed->id)); ?>"><i title="Edit"
                                                class="far fa-edit btn btn-info"></i></a>
                                        <a title="Delete" onclick="swalll(<?php echo e($newsfeed->id); ?>)"><i
                                                class="far fa-trash-alt btn btn-danger"></i></a>
                                        <form id="delete-form-<?php echo e($newsfeed->id); ?>"
                                            action="<?php echo e(Route('newsfeed.delete', $newsfeed->id)); ?>" method="POST"
                                            class="d-none">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                    </form>
                                    
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!-- sample modal content -->
    <div class="modal" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel1">
        <div class="modal-dialog " role="document">
            <div class="modal-content topbar" style="border-radius: 5%;">
                <div class="modal-header">
                    <h4 class="font-bold text-white" id="exampleModalLabel1">News Feed Progress
                    </h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true"></span></button>
                </div>
                <div class="row">
                    <!-- Column -->
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-8">
                                        
                                        <div id="visitfromworld"></div>
                                    </div>
                                    <div class="col-md-12">
                                        <ul class="country-state slimscrollcountry" id="modal-list">
                                            
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Column -->
                </div>
                <button type="button" class="btn btn-default text-dark" data-bs-dismiss="modal">Close</button>
                
            </div>
        </div>
    </div>
    <!-- /.modal -->

    <script>
        // popup method
        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary field !",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });


            // alert(id);
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/NewsFeed/NewsFeedList.blade.php ENDPATH**/ ?>