<?php $__env->startSection('contain'); ?>
    <!-- row page titles -->
    <!-- ============================================================== -->
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Content Management</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li class="breadcrumb-item active"><a class="text-cyan" href="<?php echo e(url('/')); ?>">Home</a></li>
                    
                </ol>
                
            </div>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End row page titles -->
    <div class="card">
        <div class="card-body">
            <div class="table-responsive">
                <table id="myTablecontent" class="table table-striped border">
                    <thead>
                        <tr style="background-color: gray" class="text-white">
                            <th>S.No</th>
                            <th>Name</th>
                            <th>Media</th>
                            <th>Description</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                            $num = 1;
                        ?>
                        <?php
                        $arrImgExtensions = ['jpg', 'PNG', 'png', 'jpeg'];
                        $arrVideoExtensions = ['mp4'];
                        ?>
                        <?php $__currentLoopData = $contentData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $content): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                            $mediaFilePath = $content->media ? $content->media : '';
                            $arrMediaFilePath = explode('.', $mediaFilePath);
                            $extention = $arrMediaFilePath[count($arrMediaFilePath) - 1];
                            ?>
                            <tr>
                                <td><?php echo e($num++); ?></td>
                                <td><?php echo e($content->name ?? ''); ?></td>
                                <td>
                                    
                                    <?php if(in_array($extention, $arrImgExtensions)): ?>
                                        <a href="<?php echo e(URL::asset($content->media != null ? env('MEDIA_URL') . $content->media : null)); ?>"
                                            target="_blank">
                                            <img src="<?php echo e($content->media != null ? env('MEDIA_URL') . $content->media : null); ?>"
                                                alt="Not Available" width="50px" class="img-circle">
                                        </a>
                                        
                                    <?php elseif(in_array($extention, $arrVideoExtensions)): ?>
                                        <a href="<?php echo e(URL::asset($content->media != null ? env('MEDIA_URL') . $content->media : null)); ?>"
                                            target="_blank">
                                            <video width="150" height="70" controls>
                                                <source
                                                    src="<?php echo e(URL::asset($content->media != null ? env('MEDIA_URL') . $content->media : null)); ?>"
                                                    type="video/mp4">
                                                Your browser does not support the video tag.
                                            </video>
                                        </a>
                                    <?php else: ?>
                                        <?php echo e('NA'); ?>

                                    <?php endif; ?>
                                </td>
                                <td><?php echo $content->description; ?></td>
                                <td>
                                    <a title="edit" href="<?php echo e(Route('content.edit', $content->id)); ?>"><i
                                            class="far fa-edit" style="font-size:20px"></i>
                                    </a>
                                    
                                    

                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <script>
        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary field !",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });


            // alert(id);
        }
        $(function() {
            $('#myTablecontent').DataTable({
                columnDefs: [{
                    orderable: false,
                    "targets": 6
                }]
            });
            var table = $('#example').DataTable({
                "columnDefs": [{
                    "visible": false,
                    "targets": 2
                }],
                "order": [
                    [2, 'asc']
                ],
                "displayLength": 25,
                "drawCallback": function(settings) {
                    var api = this.api();
                    var rows = api.rows({
                        page: 'current'
                    }).nodes();
                    var last = null;
                    api.column(2, {
                        page: 'current'
                    }).data().each(function(group, i) {
                        if (last !== group) {
                            $(rows).eq(i).before('<tr class="group"><td colspan="5">' + group +
                                '</td></tr>');
                            last = group;
                        }
                    });
                }
            });
            // Order by the grouping
            $('#example tbody').on('click', 'tr.group', function() {
                var currentOrder = table.order()[0];
                if (currentOrder[0] === 2 && currentOrder[1] === 'asc') {
                    table.order([2, 'desc']).draw();
                } else {
                    table.order([2, 'asc']).draw();
                }
            });
            // responsive table
            $('#config-table').DataTable({
                responsive: true
            });
            $('#example23').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    'copy', 'csv', 'excel', 'pdf', 'print'
                ]
            });
            $('.buttons-copy, .buttons-csv, .buttons-print, .buttons-pdf, .buttons-excel').addClass(
                'btn btn-primary me-1');
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/Content/Content.blade.php ENDPATH**/ ?>